{-#LANGUAGE ForeignFunctionInterface#-}
#include "Bullet.h"
module Physics.Bullet.Raw.LinearMath (
module Physics.Bullet.Raw.LinearMath
) where
import Control.Monad
import Foreign.Marshal.Alloc
import Foreign.ForeignPtr
import Foreign.Ptr
import Physics.Bullet.Raw.C2HS
import Physics.Bullet.Raw.Types
import Physics.Bullet.Raw.Class
-- * CProfileIterator
{#fun cProfileIterator_free    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#114>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Get_Current_Name as cProfileIterator_Get_Current_Name    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `String'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#115>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Get_Current_Total_Calls as cProfileIterator_Get_Current_Total_Calls    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#116>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Get_Current_Total_Time as cProfileIterator_Get_Current_Total_Time    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#109>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Enter_Child as cProfileIterator_Enter_Child    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#106>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Is_Done as cProfileIterator_Is_Done    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Bool'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#105>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Next as cProfileIterator_Next    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#107>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Is_Root as cProfileIterator_Is_Root    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Bool'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#119>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Get_Current_Parent_Name as cProfileIterator_Get_Current_Parent_Name    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `String'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#120>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Get_Current_Parent_Total_Calls as cProfileIterator_Get_Current_Parent_Total_Calls    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#121>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Get_Current_Parent_Total_Time as cProfileIterator_Get_Current_Parent_Total_Time    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#111>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_Enter_Parent as cProfileIterator_Enter_Parent    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#104>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileIterator_First as cProfileIterator_First    `( CProfileIteratorClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
-- * CProfileManager
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#134>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_new as cProfileManager    {  } -> `CProfileManager' mkCProfileManager* #}
{#fun cProfileManager_free    `( CProfileManagerClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#144>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_Reset as cProfileManager_Reset    `( )' =>     {  } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#158>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_dumpAll as cProfileManager_dumpAll    `( )' =>     {  } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#146>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_Get_Frame_Count_Since_Reset as cProfileManager_Get_Frame_Count_Since_Reset    `( )' =>     {  } ->  `Int'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#154>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_Release_Iterator as cProfileManager_Release_Iterator    `(  CProfileIteratorClass p0 )' =>     {  withBt* `p0'  -- ^ iterator
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#137>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_Stop_Profile as cProfileManager_Stop_Profile    `( )' =>     {  } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#139>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_CleanupMemory as cProfileManager_CleanupMemory    `( )' =>     {  } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#147>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_Get_Time_Since_Reset as cProfileManager_Get_Time_Since_Reset    `( )' =>     {  } ->  `Float'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#136>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_Start_Profile as cProfileManager_Start_Profile    `( )' =>     {   `String'  -- ^ name
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#145>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_Increment_Frame_Counter as cProfileManager_Increment_Frame_Counter    `( )' =>     {  } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#156>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_dumpRecursive as cProfileManager_dumpRecursive    `(  CProfileIteratorClass p0 )' =>     {  withBt* `p0'  -- ^ profileIterator
,  `Int'  -- ^ spacing
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#149>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileManager_Get_Iterator as cProfileManager_Get_Iterator    `( )' =>     {  } ->  `CProfileIterator' mkCProfileIterator*  #}
-- * CProfileNode
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#68>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_new as cProfileNode    `( CProfileNodeClass p1 )' =>     {   `String' , withBt* `p1'  } -> `CProfileNode' mkCProfileNode* #}
{#fun cProfileNode_free    `( CProfileNodeClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#78>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Reset as cProfileNode_Reset    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Return as cProfileNode_Return    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Bool'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#71>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Get_Sub_Node as cProfileNode_Get_Sub_Node    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ name
 } ->  `CProfileNode' mkCProfileNode*  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#77>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_CleanupMemory as cProfileNode_CleanupMemory    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#73>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Get_Parent as cProfileNode_Get_Parent    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `CProfileNode' mkCProfileNode*  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#83>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Get_Total_Calls as cProfileNode_Get_Total_Calls    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Get_Name as cProfileNode_Get_Name    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `String'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#84>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Get_Total_Time as cProfileNode_Get_Total_Time    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#79>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Call as cProfileNode_Call    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#74>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Get_Sibling as cProfileNode_Get_Sibling    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `CProfileNode' mkCProfileNode*  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#75>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileNode_Get_Child as cProfileNode_Get_Child    `( CProfileNodeClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `CProfileNode' mkCProfileNode*  #}
-- * CProfileSample
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#172>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun cProfileSample_new as cProfileSample    {   `String'  } -> `CProfileSample' mkCProfileSample* #}
{#fun cProfileSample_free    `( CProfileSampleClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btBlock
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#28>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btBlock_new as btBlock    {  } -> `BtBlock' mkBtBlock* #}
{#fun btBlock_free    `( BtBlockClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#29>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btBlock_previous_set    `( BtBlockClass bc , BtBlockClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
-- * btChunk
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#53>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_new as btChunk    {  } -> `BtChunk' mkBtChunk* #}
{#fun btChunk_free    `( BtChunkClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#55>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_m_chunkCode_set    `( BtChunkClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#55>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_m_chunkCode_get    `( BtChunkClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#56>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_m_length_set    `( BtChunkClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#56>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_m_length_get    `( BtChunkClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#58>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_m_dna_nr_set    `( BtChunkClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#58>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_m_dna_nr_get    `( BtChunkClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#59>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_m_number_set    `( BtChunkClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#59>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btChunk_m_number_get    `( BtChunkClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btClock
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#38>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun btClock_new as btClock    {  } -> `BtClock' mkBtClock* #}
{#fun btClock_free    `( BtClockClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#46>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun btClock_reset as btClock_reset    `( BtClockClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun btClock_getTimeMilliseconds as btClock_getTimeMilliseconds    `( BtClockClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Word64'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuickprof.cpp?r=2223>
-}
{#fun btClock_getTimeMicroseconds as btClock_getTimeMicroseconds    `( BtClockClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Word64'  #}
-- * btConvexSeparatingDistanceUtil
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#161>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_new as btConvexSeparatingDistanceUtil    {   `Float' ,  `Float'  } -> `BtConvexSeparatingDistanceUtil' mkBtConvexSeparatingDistanceUtil* #}
{#fun btConvexSeparatingDistanceUtil_free    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#173>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_updateSeparatingDistance as btConvexSeparatingDistanceUtil_updateSeparatingDistance    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc'  -- ^ 
, withTransform* `Transform'  peekTransform* -- ^ transA
, withTransform* `Transform'  peekTransform* -- ^ transB
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#173>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_updateSeparatingDistance as btConvexSeparatingDistanceUtil_updateSeparatingDistance'    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaTransform-  `Transform'  peekTransform* -- ^ transA
, allocaTransform-  `Transform'  peekTransform* -- ^ transB
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#168>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_getConservativeSeparatingDistance as btConvexSeparatingDistanceUtil_getConservativeSeparatingDistance    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#205>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_initSeparatingDistance as btConvexSeparatingDistanceUtil_initSeparatingDistance    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ separatingVector
,  `Float'  -- ^ separatingDistance
, withTransform* `Transform'  peekTransform* -- ^ transA
, withTransform* `Transform'  peekTransform* -- ^ transB
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#205>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btConvexSeparatingDistanceUtil_initSeparatingDistance as btConvexSeparatingDistanceUtil_initSeparatingDistance'    `( BtConvexSeparatingDistanceUtilClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ separatingVector
,  `Float'  -- ^ separatingDistance
, allocaTransform-  `Transform'  peekTransform* -- ^ transA
, allocaTransform-  `Transform'  peekTransform* -- ^ transB
 } ->  `()'  #}
-- * btDefaultMotionState
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#14>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_new as btDefaultMotionState    {  withTransform* `Transform' , withTransform* `Transform'  } -> `BtDefaultMotionState' mkBtDefaultMotionState* #}
{#fun btDefaultMotionState_free    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#31>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_setWorldTransform as btDefaultMotionState_setWorldTransform    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc'  -- ^ 
, withTransform* `Transform'  peekTransform* -- ^ centerOfMassWorldTrans
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#31>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_setWorldTransform as btDefaultMotionState_setWorldTransform'    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaTransform-  `Transform'  peekTransform* -- ^ centerOfMassWorldTrans
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#24>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_getWorldTransform as btDefaultMotionState_getWorldTransform    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc'  -- ^ 
, withTransform* `Transform'  peekTransform* -- ^ centerOfMassWorldTrans
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#24>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_getWorldTransform as btDefaultMotionState_getWorldTransform'    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaTransform-  `Transform'  peekTransform* -- ^ centerOfMassWorldTrans
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#9>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_m_graphicsWorldTrans_set    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc' , withTransform* `Transform'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#9>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_m_graphicsWorldTrans_get    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc' , allocaTransform-  `Transform'  peekTransform* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#10>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_m_centerOfMassOffset_set    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc' , withTransform* `Transform'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#10>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_m_centerOfMassOffset_get    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc' , allocaTransform-  `Transform'  peekTransform* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#11>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_m_startWorldTrans_set    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc' , withTransform* `Transform'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.h?r=2223#11>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btDefaultMotionState.cpp?r=2223>
-}
{#fun btDefaultMotionState_m_startWorldTrans_get    `( BtDefaultMotionStateClass bc )' =>     { withBt* `bc' , allocaTransform-  `Transform'  peekTransform* } -> `()' #}
-- * btDefaultSerializer
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#377>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_new as btDefaultSerializer    {   `Int'  } -> `BtDefaultSerializer' mkBtDefaultSerializer* #}
{#fun btDefaultSerializer_free    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#646>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_setSerializationFlags as btDefaultSerializer_setSerializationFlags    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ flags
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#461>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_startSerialization as btDefaultSerializer_startSerialization    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#641>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_getSerializationFlags as btDefaultSerializer_getSerializationFlags    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#472>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_finishSerialization as btDefaultSerializer_finishSerialization    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#536>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_getCurrentBufferSize as btDefaultSerializer_getCurrentBufferSize    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#612>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btDefaultSerializer_serializeName as btDefaultSerializer_serializeName    `( BtDefaultSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ name
 } ->  `()'  #}
-- * btGeometryUtil
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btGeometryUtil.h?r=2223#24>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btGeometryUtil.cpp?r=2223>
-}
{#fun btGeometryUtil_new as btGeometryUtil    {  } -> `BtGeometryUtil' mkBtGeometryUtil* #}
{#fun btGeometryUtil_free    `( BtGeometryUtilClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btHashInt
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashInt_new as btHashInt    {   `Int'  } -> `BtHashInt' mkBtHashInt* #}
{#fun btHashInt_free    `( BtHashIntClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#86>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashInt_getUid1 as btHashInt_getUid1    `( BtHashIntClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#101>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashInt_getHash as btHashInt_getHash    `( BtHashIntClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Word32'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#91>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashInt_setUid1 as btHashInt_setUid1    `( BtHashIntClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ uid
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashInt_equals as btHashInt_equals    `( BtHashIntClass bc , BtHashIntClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ other
 } ->  `Bool'  #}
-- * btHashPtr
{#fun btHashPtr_free    `( BtHashPtrClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#139>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashPtr_getHash as btHashPtr_getHash    `( BtHashPtrClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Word32'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#133>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashPtr_equals as btHashPtr_equals    `( BtHashPtrClass bc , BtHashPtrClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ other
 } ->  `Bool'  #}
-- * btHashString
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#33>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashString_new as btHashString    {   `String'  } -> `BtHashString' mkBtHashString* #}
{#fun btHashString_free    `( BtHashStringClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#28>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashString_getHash as btHashString_getHash    `( BtHashStringClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Word32'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#66>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashString_equals as btHashString_equals    `( BtHashStringClass bc , BtHashStringClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ other
 } ->  `Bool'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashString_portableStringCompare as btHashString_portableStringCompare    `( BtHashStringClass bc )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ src
,  `String'  -- ^ dst
 } ->  `Int'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#26>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashString_m_hash_set    `( BtHashStringClass bc )' =>     { withBt* `bc' ,  `Word32'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#26>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashString_m_hash_get    `( BtHashStringClass bc )' =>     { withBt* `bc'  } ->  `Word32'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#25>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashString_m_string_set    `( BtHashStringClass bc )' =>     { withBt* `bc' ,  `String'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.h?r=2223#25>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btHashMap.cpp?r=2223>
-}
{#fun btHashString_m_string_get    `( BtHashStringClass bc )' =>     { withBt* `bc'  } ->  `String'   #}
-- * btIDebugDraw
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#112>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_draw3dText as btIDebugDraw_draw3dText    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ location
,  `String'  -- ^ textString
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#112>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_draw3dText as btIDebugDraw_draw3dText'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ location
,  `String'  -- ^ textString
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#282>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawBox0 as btIDebugDraw_drawBox    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ bbMin
, withVector3* `Vector3'  peekVector3* -- ^ bbMax
, withVector3* `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#282>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawBox0 as btIDebugDraw_drawBox'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ bbMin
, allocaVector3-  `Vector3'  peekVector3* -- ^ bbMax
, allocaVector3-  `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#282>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawBox0 as btIDebugDraw_drawBox0    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ bbMin
, withVector3* `Vector3'  peekVector3* -- ^ bbMax
, withVector3* `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#282>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawBox0 as btIDebugDraw_drawBox0'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ bbMin
, allocaVector3-  `Vector3'  peekVector3* -- ^ bbMax
, allocaVector3-  `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#297>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawBox1 as btIDebugDraw_drawBox1    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ bbMin
, withVector3* `Vector3'  peekVector3* -- ^ bbMax
, withTransform* `Transform'  peekTransform* -- ^ trans
, withVector3* `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#297>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawBox1 as btIDebugDraw_drawBox1'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ bbMin
, allocaVector3-  `Vector3'  peekVector3* -- ^ bbMax
, allocaTransform-  `Transform'  peekTransform* -- ^ trans
, allocaVector3-  `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#375>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawCone as btIDebugDraw_drawCone    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
,  `Float'  -- ^ height
,  `Int'  -- ^ upAxis
, withTransform* `Transform'  peekTransform* -- ^ transform
, withVector3* `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#375>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawCone as btIDebugDraw_drawCone'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
,  `Float'  -- ^ height
,  `Int'  -- ^ upAxis
, allocaTransform-  `Transform'  peekTransform* -- ^ transform
, allocaVector3-  `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#313>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawCapsule as btIDebugDraw_drawCapsule    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
,  `Float'  -- ^ halfHeight
,  `Int'  -- ^ upAxis
, withTransform* `Transform'  peekTransform* -- ^ transform
, withVector3* `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#313>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawCapsule as btIDebugDraw_drawCapsule'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
,  `Float'  -- ^ halfHeight
,  `Int'  -- ^ upAxis
, allocaTransform-  `Transform'  peekTransform* -- ^ transform
, allocaVector3-  `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#156>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawArc as btIDebugDraw_drawArc    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ center
, withVector3* `Vector3'  peekVector3* -- ^ normal
, withVector3* `Vector3'  peekVector3* -- ^ axis
,  `Float'  -- ^ radiusA
,  `Float'  -- ^ radiusB
,  `Float'  -- ^ minAngle
,  `Float'  -- ^ maxAngle
, withVector3* `Vector3'  peekVector3* -- ^ color
,  `Bool'  -- ^ drawSect
,  `Float'  -- ^ stepDegrees
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#156>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawArc as btIDebugDraw_drawArc'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ center
, allocaVector3-  `Vector3'  peekVector3* -- ^ normal
, allocaVector3-  `Vector3'  peekVector3* -- ^ axis
,  `Float'  -- ^ radiusA
,  `Float'  -- ^ radiusB
,  `Float'  -- ^ minAngle
,  `Float'  -- ^ maxAngle
, allocaVector3-  `Vector3'  peekVector3* -- ^ color
,  `Bool'  -- ^ drawSect
,  `Float'  -- ^ stepDegrees
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#356>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawCylinder as btIDebugDraw_drawCylinder    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
,  `Float'  -- ^ halfHeight
,  `Int'  -- ^ upAxis
, withTransform* `Transform'  peekTransform* -- ^ transform
, withVector3* `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#356>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawCylinder as btIDebugDraw_drawCylinder'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
,  `Float'  -- ^ halfHeight
,  `Int'  -- ^ upAxis
, allocaTransform-  `Transform'  peekTransform* -- ^ transform
, allocaVector3-  `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#110>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_reportErrorWarning as btIDebugDraw_reportErrorWarning    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ warningString
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#97>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawTriangle0 as btIDebugDraw_drawTriangle    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ v0
, withVector3* `Vector3'  peekVector3* -- ^ v1
, withVector3* `Vector3'  peekVector3* -- ^ v2
, withVector3* `Vector3'  peekVector3* -- ^ arg3
, withVector3* `Vector3'  peekVector3* -- ^ arg4
, withVector3* `Vector3'  peekVector3* -- ^ arg5
, withVector3* `Vector3'  peekVector3* -- ^ color
,  `Float'  -- ^ alpha
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#97>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawTriangle0 as btIDebugDraw_drawTriangle'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ v0
, allocaVector3-  `Vector3'  peekVector3* -- ^ v1
, allocaVector3-  `Vector3'  peekVector3* -- ^ v2
, allocaVector3-  `Vector3'  peekVector3* -- ^ arg3
, allocaVector3-  `Vector3'  peekVector3* -- ^ arg4
, allocaVector3-  `Vector3'  peekVector3* -- ^ arg5
, allocaVector3-  `Vector3'  peekVector3* -- ^ color
,  `Float'  -- ^ alpha
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#97>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawTriangle0 as btIDebugDraw_drawTriangle0    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ v0
, withVector3* `Vector3'  peekVector3* -- ^ v1
, withVector3* `Vector3'  peekVector3* -- ^ v2
, withVector3* `Vector3'  peekVector3* -- ^ arg3
, withVector3* `Vector3'  peekVector3* -- ^ arg4
, withVector3* `Vector3'  peekVector3* -- ^ arg5
, withVector3* `Vector3'  peekVector3* -- ^ color
,  `Float'  -- ^ alpha
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#97>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawTriangle0 as btIDebugDraw_drawTriangle0'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ v0
, allocaVector3-  `Vector3'  peekVector3* -- ^ v1
, allocaVector3-  `Vector3'  peekVector3* -- ^ v2
, allocaVector3-  `Vector3'  peekVector3* -- ^ arg3
, allocaVector3-  `Vector3'  peekVector3* -- ^ arg4
, allocaVector3-  `Vector3'  peekVector3* -- ^ arg5
, allocaVector3-  `Vector3'  peekVector3* -- ^ color
,  `Float'  -- ^ alpha
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#101>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawTriangle1 as btIDebugDraw_drawTriangle1    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ v0
, withVector3* `Vector3'  peekVector3* -- ^ v1
, withVector3* `Vector3'  peekVector3* -- ^ v2
, withVector3* `Vector3'  peekVector3* -- ^ color
,  `Float'  -- ^ arg4
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#101>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawTriangle1 as btIDebugDraw_drawTriangle1'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ v0
, allocaVector3-  `Vector3'  peekVector3* -- ^ v1
, allocaVector3-  `Vector3'  peekVector3* -- ^ v2
, allocaVector3-  `Vector3'  peekVector3* -- ^ color
,  `Float'  -- ^ arg4
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#116>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_getDebugMode as btIDebugDraw_getDebugMode    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawLine0 as btIDebugDraw_drawLine    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ from
, withVector3* `Vector3'  peekVector3* -- ^ to
, withVector3* `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawLine0 as btIDebugDraw_drawLine'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ from
, allocaVector3-  `Vector3'  peekVector3* -- ^ to
, allocaVector3-  `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawLine0 as btIDebugDraw_drawLine0    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ from
, withVector3* `Vector3'  peekVector3* -- ^ to
, withVector3* `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawLine0 as btIDebugDraw_drawLine0'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ from
, allocaVector3-  `Vector3'  peekVector3* -- ^ to
, allocaVector3-  `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#56>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawLine1 as btIDebugDraw_drawLine1    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ from
, withVector3* `Vector3'  peekVector3* -- ^ to
, withVector3* `Vector3'  peekVector3* -- ^ fromColor
, withVector3* `Vector3'  peekVector3* -- ^ toColor
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#56>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawLine1 as btIDebugDraw_drawLine1'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ from
, allocaVector3-  `Vector3'  peekVector3* -- ^ to
, allocaVector3-  `Vector3'  peekVector3* -- ^ fromColor
, allocaVector3-  `Vector3'  peekVector3* -- ^ toColor
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#147>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawTransform as btIDebugDraw_drawTransform    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withTransform* `Transform'  peekTransform* -- ^ transform
,  `Float'  -- ^ orthoLen
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#147>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawTransform as btIDebugDraw_drawTransform'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaTransform-  `Transform'  peekTransform* -- ^ transform
,  `Float'  -- ^ orthoLen
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#118>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawAabb as btIDebugDraw_drawAabb    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ from
, withVector3* `Vector3'  peekVector3* -- ^ to
, withVector3* `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#118>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawAabb as btIDebugDraw_drawAabb'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ from
, allocaVector3-  `Vector3'  peekVector3* -- ^ to
, allocaVector3-  `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#400>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawPlane as btIDebugDraw_drawPlane    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ planeNormal
,  `Float'  -- ^ planeConst
, withTransform* `Transform'  peekTransform* -- ^ transform
, withVector3* `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#400>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawPlane as btIDebugDraw_drawPlane'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ planeNormal
,  `Float'  -- ^ planeConst
, allocaTransform-  `Transform'  peekTransform* -- ^ transform
, allocaVector3-  `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#108>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawContactPoint as btIDebugDraw_drawContactPoint    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ PointOnB
, withVector3* `Vector3'  peekVector3* -- ^ normalOnB
,  `Float'  -- ^ distance
,  `Int'  -- ^ lifeTime
, withVector3* `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#108>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawContactPoint as btIDebugDraw_drawContactPoint'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ PointOnB
, allocaVector3-  `Vector3'  peekVector3* -- ^ normalOnB
,  `Float'  -- ^ distance
,  `Int'  -- ^ lifeTime
, allocaVector3-  `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#114>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_setDebugMode as btIDebugDraw_setDebugMode    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ debugMode
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#181>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawSpherePatch as btIDebugDraw_drawSpherePatch    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ center
, withVector3* `Vector3'  peekVector3* -- ^ up
, withVector3* `Vector3'  peekVector3* -- ^ axis
,  `Float'  -- ^ radius
,  `Float'  -- ^ minTh
,  `Float'  -- ^ maxTh
,  `Float'  -- ^ minPs
,  `Float'  -- ^ maxPs
, withVector3* `Vector3'  peekVector3* -- ^ color
,  `Float'  -- ^ stepDegrees
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#181>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawSpherePatch as btIDebugDraw_drawSpherePatch'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ center
, allocaVector3-  `Vector3'  peekVector3* -- ^ up
, allocaVector3-  `Vector3'  peekVector3* -- ^ axis
,  `Float'  -- ^ radius
,  `Float'  -- ^ minTh
,  `Float'  -- ^ maxTh
,  `Float'  -- ^ minPs
,  `Float'  -- ^ maxPs
, allocaVector3-  `Vector3'  peekVector3* -- ^ color
,  `Float'  -- ^ stepDegrees
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#62>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawSphere0 as btIDebugDraw_drawSphere    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
, withTransform* `Transform'  peekTransform* -- ^ transform
, withVector3* `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#62>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawSphere0 as btIDebugDraw_drawSphere'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
, allocaTransform-  `Transform'  peekTransform* -- ^ transform
, allocaVector3-  `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#62>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawSphere0 as btIDebugDraw_drawSphere0    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
, withTransform* `Transform'  peekTransform* -- ^ transform
, withVector3* `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#62>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawSphere0 as btIDebugDraw_drawSphere0'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ radius
, allocaTransform-  `Transform'  peekTransform* -- ^ transform
, allocaVector3-  `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawSphere1 as btIDebugDraw_drawSphere1    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ p
,  `Float'  -- ^ radius
, withVector3* `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btIDebugDraw.cpp?r=2223>
-}
{#fun btIDebugDraw_drawSphere1 as btIDebugDraw_drawSphere1'    `( BtIDebugDrawClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ p
,  `Float'  -- ^ radius
, allocaVector3-  `Vector3'  peekVector3* -- ^ color
 } ->  `()'  #}
-- * btMatrix3x3DoubleData
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMatrix3x3.h?r=2223#732>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMatrix3x3.cpp?r=2223>
-}
{#fun btMatrix3x3DoubleData_new as btMatrix3x3DoubleData    {  } -> `BtMatrix3x3DoubleData' mkBtMatrix3x3DoubleData* #}
{#fun btMatrix3x3DoubleData_free    `( BtMatrix3x3DoubleDataClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btMatrix3x3FloatData
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMatrix3x3.h?r=2223#726>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMatrix3x3.cpp?r=2223>
-}
{#fun btMatrix3x3FloatData_new as btMatrix3x3FloatData    {  } -> `BtMatrix3x3FloatData' mkBtMatrix3x3FloatData* #}
{#fun btMatrix3x3FloatData_free    `( BtMatrix3x3FloatDataClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btMotionState
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMotionState.h?r=2223#35>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMotionState.cpp?r=2223>
-}
{#fun btMotionState_setWorldTransform as btMotionState_setWorldTransform    `( BtMotionStateClass bc )' =>     { withBt* `bc'  -- ^ 
, withTransform* `Transform'  peekTransform* -- ^ worldTrans
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMotionState.h?r=2223#35>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMotionState.cpp?r=2223>
-}
{#fun btMotionState_setWorldTransform as btMotionState_setWorldTransform'    `( BtMotionStateClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaTransform-  `Transform'  peekTransform* -- ^ worldTrans
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMotionState.h?r=2223#32>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMotionState.cpp?r=2223>
-}
{#fun btMotionState_getWorldTransform as btMotionState_getWorldTransform    `( BtMotionStateClass bc )' =>     { withBt* `bc'  -- ^ 
, withTransform* `Transform'  peekTransform* -- ^ worldTrans
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMotionState.h?r=2223#32>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btMotionState.cpp?r=2223>
-}
{#fun btMotionState_getWorldTransform as btMotionState_getWorldTransform'    `( BtMotionStateClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaTransform-  `Transform'  peekTransform* -- ^ worldTrans
 } ->  `()'  #}
-- * btPointerUid
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#129>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btPointerUid_new as btPointerUid    {  } -> `BtPointerUid' mkBtPointerUid* #}
{#fun btPointerUid_free    `( BtPointerUidClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btQuadWord
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#129>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_new0 as btQuadWord0    {  } -> `BtQuadWord' mkBtQuadWord* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#139>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_new1 as btQuadWord1    {   `Float' ,  `Float' ,  `Float'  } -> `BtQuadWord' mkBtQuadWord* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#150>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_new2 as btQuadWord2    {   `Float' ,  `Float' ,  `Float' ,  `Float'  } -> `BtQuadWord' mkBtQuadWord* #}
{#fun btQuadWord_free    `( BtQuadWordClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#168>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_setMin as btQuadWord_setMin    `( BtQuadWordClass bc , BtQuadWordClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ other
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#100>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_setValue0 as btQuadWord_setValue    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ x
,  `Float'  -- ^ y
,  `Float'  -- ^ z
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#100>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_setValue0 as btQuadWord_setValue0    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ x
,  `Float'  -- ^ y
,  `Float'  -- ^ z
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#121>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_setValue1 as btQuadWord_setValue1    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ x
,  `Float'  -- ^ y
,  `Float'  -- ^ z
,  `Float'  -- ^ w
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#158>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_setMax as btQuadWord_setMax    `( BtQuadWordClass bc , BtQuadWordClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ other
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_getX as btQuadWord_getX    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#59>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_getY as btQuadWord_getY    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_getZ as btQuadWord_getZ    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#69>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_setW as btQuadWord_setW    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ w
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#77>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_w as btQuadWord_w    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#73>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_y as btQuadWord_y    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#71>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_x as btQuadWord_x    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#75>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_z as btQuadWord_z    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#63>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_setX as btQuadWord_setX    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ x
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#65>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_setY as btQuadWord_setY    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ y
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.h?r=2223#67>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btQuadWord.cpp?r=2223>
-}
{#fun btQuadWord_setZ as btQuadWord_setZ    `( BtQuadWordClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ z
 } ->  `()'  #}
-- * btSerializer
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#100>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btSerializer_setSerializationFlags as btSerializer_setSerializationFlags    `( BtSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ flags
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#78>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btSerializer_getCurrentBufferSize as btSerializer_getCurrentBufferSize    `( BtSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#88>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btSerializer_startSerialization as btSerializer_startSerialization    `( BtSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#98>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btSerializer_getSerializationFlags as btSerializer_getSerializationFlags    `( BtSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#90>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btSerializer_finishSerialization as btSerializer_finishSerialization    `( BtSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.h?r=2223#96>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btSerializer.cpp?r=2223>
-}
{#fun btSerializer_serializeName as btSerializer_serializeName    `( BtSerializerClass bc )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ ptr
 } ->  `()'  #}
-- * btStackAlloc
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#38>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_new as btStackAlloc    {   `Word32'  } -> `BtStackAlloc' mkBtStackAlloc* #}
{#fun btStackAlloc_free    `( BtStackAllocClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#41>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_create as btStackAlloc_create    `( BtStackAllocClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Word32'  -- ^ size
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#47>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_destroy as btStackAlloc_destroy    `( BtStackAllocClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#81>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_beginBlock as btStackAlloc_beginBlock    `( BtStackAllocClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtBlock' mkBtBlock*  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#63>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_getAvailableMemory as btStackAlloc_getAvailableMemory    `( BtStackAllocClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.h?r=2223#89>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btStackAlloc.cpp?r=2223>
-}
{#fun btStackAlloc_endBlock as btStackAlloc_endBlock    `( BtStackAllocClass bc , BtBlockClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ block
 } ->  `()'  #}
-- * btTransformDoubleData
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.h?r=2223#262>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.cpp?r=2223>
-}
{#fun btTransformDoubleData_new as btTransformDoubleData    {  } -> `BtTransformDoubleData' mkBtTransformDoubleData* #}
{#fun btTransformDoubleData_free    `( BtTransformDoubleDataClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btTransformFloatData
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.h?r=2223#256>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransform.cpp?r=2223>
-}
{#fun btTransformFloatData_new as btTransformFloatData    {  } -> `BtTransformFloatData' mkBtTransformFloatData* #}
{#fun btTransformFloatData_free    `( BtTransformFloatDataClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btTransformUtil
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#39>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btTransformUtil_new as btTransformUtil    {  } -> `BtTransformUtil' mkBtTransformUtil* #}
{#fun btTransformUtil_free    `( BtTransformUtilClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#112>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btTransformUtil_calculateVelocity as btTransformUtil_calculateVelocity    `( )' =>     {  withTransform* `Transform'  peekTransform* -- ^ transform0
, withTransform* `Transform'  peekTransform* -- ^ transform1
,  `Float'  -- ^ timeStep
, withVector3* `Vector3'  peekVector3* -- ^ linVel
, withVector3* `Vector3'  peekVector3* -- ^ angVel
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#112>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btTransformUtil_calculateVelocity as btTransformUtil_calculateVelocity'    `( )' =>     {  allocaTransform-  `Transform'  peekTransform* -- ^ transform0
, allocaTransform-  `Transform'  peekTransform* -- ^ transform1
,  `Float'  -- ^ timeStep
, allocaVector3-  `Vector3'  peekVector3* -- ^ linVel
, allocaVector3-  `Vector3'  peekVector3* -- ^ angVel
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#43>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btTransformUtil_integrateTransform as btTransformUtil_integrateTransform    `( )' =>     {  withTransform* `Transform'  peekTransform* -- ^ curTrans
, withVector3* `Vector3'  peekVector3* -- ^ linvel
, withVector3* `Vector3'  peekVector3* -- ^ angvel
,  `Float'  -- ^ timeStep
, withTransform* `Transform'  peekTransform* -- ^ predictedTransform
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#43>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btTransformUtil_integrateTransform as btTransformUtil_integrateTransform'    `( )' =>     {  allocaTransform-  `Transform'  peekTransform* -- ^ curTrans
, allocaVector3-  `Vector3'  peekVector3* -- ^ linvel
, allocaVector3-  `Vector3'  peekVector3* -- ^ angvel
,  `Float'  -- ^ timeStep
, allocaTransform-  `Transform'  peekTransform* -- ^ predictedTransform
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btTransformUtil_calculateVelocityQuaternion as btTransformUtil_calculateVelocityQuaternion    `( )' =>     {  withVector3* `Vector3'  peekVector3* -- ^ pos0
, withVector3* `Vector3'  peekVector3* -- ^ pos1
, withQuaternion* `Quaternion'  peekQuaternion* -- ^ orn0
, withQuaternion* `Quaternion'  peekQuaternion* -- ^ orn1
,  `Float'  -- ^ timeStep
, withVector3* `Vector3'  peekVector3* -- ^ linVel
, withVector3* `Vector3'  peekVector3* -- ^ angVel
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btTransformUtil.cpp?r=2223>
-}
{#fun btTransformUtil_calculateVelocityQuaternion as btTransformUtil_calculateVelocityQuaternion'    `( )' =>     {  allocaVector3-  `Vector3'  peekVector3* -- ^ pos0
, allocaVector3-  `Vector3'  peekVector3* -- ^ pos1
, allocaQuaternion-  `Quaternion'  peekQuaternion* -- ^ orn0
, allocaQuaternion-  `Quaternion'  peekQuaternion* -- ^ orn1
,  `Float'  -- ^ timeStep
, allocaVector3-  `Vector3'  peekVector3* -- ^ linVel
, allocaVector3-  `Vector3'  peekVector3* -- ^ angVel
 } ->  `()'  #}
-- * btTypedObject
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btScalar.h?r=2223#512>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btScalar.cpp?r=2223>
-}
{#fun btTypedObject_new as btTypedObject    {   `Int'  } -> `BtTypedObject' mkBtTypedObject* #}
{#fun btTypedObject_free    `( BtTypedObjectClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btScalar.h?r=2223#517>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btScalar.cpp?r=2223>
-}
{#fun btTypedObject_getObjectType as btTypedObject_getObjectType    `( BtTypedObjectClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btScalar.h?r=2223#516>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btScalar.cpp?r=2223>
-}
{#fun btTypedObject_m_objectType_set    `( BtTypedObjectClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btScalar.h?r=2223#516>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btScalar.cpp?r=2223>
-}
{#fun btTypedObject_m_objectType_get    `( BtTypedObjectClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * btVector3DoubleData
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btVector3.h?r=2223#719>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btVector3.cpp?r=2223>
-}
{#fun btVector3DoubleData_new as btVector3DoubleData    {  } -> `BtVector3DoubleData' mkBtVector3DoubleData* #}
{#fun btVector3DoubleData_free    `( BtVector3DoubleDataClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * btVector3FloatData
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btVector3.h?r=2223#714>
     <http://code.google.com/p/bullet/source/browse/trunk/src/LinearMath/btVector3.cpp?r=2223>
-}
{#fun btVector3FloatData_new as btVector3FloatData    {  } -> `BtVector3FloatData' mkBtVector3FloatData* #}
{#fun btVector3FloatData_free    `( BtVector3FloatDataClass bc )' =>     { withBt* `bc'  } -> `()' #}
