{-#LANGUAGE ForeignFunctionInterface#-}
#include "Bullet.h"
module Physics.Bullet.Raw.BulletSoftBody (
module Physics.Bullet.Raw.BulletSoftBody
) where
import Control.Monad
import Foreign.Marshal.Alloc
import Foreign.ForeignPtr
import Foreign.Ptr
import Physics.Bullet.Raw.C2HS
import Physics.Bullet.Raw.Types
import Physics.Bullet.Raw.Class
-- * AJoint
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#523>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_AJoint_new as btSoftBody_AJoint    {  } -> `BtSoftBody_AJoint' mkBtSoftBody_AJoint* #}
{#fun btSoftBody_AJoint_free    `( BtSoftBody_AJointClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#540>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_AJoint_Terminate as btSoftBody_AJoint_Terminate    `( BtSoftBody_AJointClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ dt
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#539>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_AJoint_Solve as btSoftBody_AJoint_Solve    `( BtSoftBody_AJointClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ dt
,  `Float'  -- ^ sor
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#538>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_AJoint_Prepare as btSoftBody_AJoint_Prepare    `( BtSoftBody_AJointClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ dt
,  `Int'  -- ^ iterations
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#537>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_AJoint_m_icontrol_set    `( BtSoftBody_AJointClass bc , BtSoftBody_AJoint_IControlClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
-- * Anchor
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#281>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Anchor_new as btSoftBody_Anchor    {  } -> `BtSoftBody_Anchor' mkBtSoftBody_Anchor* #}
{#fun btSoftBody_Anchor_free    `( BtSoftBody_AnchorClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#282>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Anchor_m_node_set    `( BtSoftBody_AnchorClass bc , BtSoftBody_NodeClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#283>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Anchor_m_local_set    `( BtSoftBody_AnchorClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#283>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Anchor_m_local_get    `( BtSoftBody_AnchorClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#284>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Anchor_m_body_set    `( BtSoftBody_AnchorClass bc , BtRigidBodyClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#285>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Anchor_m_influence_set    `( BtSoftBody_AnchorClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#285>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Anchor_m_influence_get    `( BtSoftBody_AnchorClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#286>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Anchor_m_c0_set    `( BtSoftBody_AnchorClass bc )' =>     { withBt* `bc' , withMatrix3x3* `Matrix3x3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#286>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Anchor_m_c0_get    `( BtSoftBody_AnchorClass bc )' =>     { withBt* `bc' , allocaMatrix3x3-  `Matrix3x3'  peekMatrix3x3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#287>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Anchor_m_c1_set    `( BtSoftBody_AnchorClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#287>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Anchor_m_c1_get    `( BtSoftBody_AnchorClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#288>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Anchor_m_c2_set    `( BtSoftBody_AnchorClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#288>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Anchor_m_c2_get    `( BtSoftBody_AnchorClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
-- * Body
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#376>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_new0 as btSoftBody_Body0    {  } -> `BtSoftBody_Body' mkBtSoftBody_Body* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#377>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_new1 as btSoftBody_Body1    `( BtSoftBody_ClusterClass p0 )' =>     {  withBt* `p0'  } -> `BtSoftBody_Body' mkBtSoftBody_Body* #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#378>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_new2 as btSoftBody_Body2    `( BtCollisionObjectClass p0 )' =>     {  withBt* `p0'  } -> `BtSoftBody_Body' mkBtSoftBody_Body* #}
{#fun btSoftBody_Body_free    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#391>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_invWorldInertia as btSoftBody_Body_invWorldInertia    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaMatrix3x3-  `Matrix3x3'  peekMatrix3x3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#383>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_activate as btSoftBody_Body_activate    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#411>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_linearVelocity as btSoftBody_Body_linearVelocity    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#433>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_applyVImpulse as btSoftBody_Body_applyVImpulse    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ impulse
, withVector3* `Vector3'  peekVector3* -- ^ rpos
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#433>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_applyVImpulse as btSoftBody_Body_applyVImpulse'    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ impulse
, allocaVector3-  `Vector3'  peekVector3* -- ^ rpos
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#438>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_applyDImpulse as btSoftBody_Body_applyDImpulse    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ impulse
, withVector3* `Vector3'  peekVector3* -- ^ rpos
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#438>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_applyDImpulse as btSoftBody_Body_applyDImpulse'    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ impulse
, allocaVector3-  `Vector3'  peekVector3* -- ^ rpos
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#471>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_applyDCImpulse as btSoftBody_Body_applyDCImpulse    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#471>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_applyDCImpulse as btSoftBody_Body_applyDCImpulse'    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#466>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_applyAImpulse as btSoftBody_Body_applyAImpulse    `( BtSoftBody_BodyClass bc , BtSoftBody_ImpulseClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#417>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_angularVelocity0 as btSoftBody_Body_angularVelocity    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ rpos
, allocaVector3-  `Vector3'  peekVector3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#417>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_angularVelocity0 as btSoftBody_Body_angularVelocity'    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ rpos
, allocaVector3-  `Vector3'  peekVector3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#417>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_angularVelocity0 as btSoftBody_Body_angularVelocity0    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ rpos
, allocaVector3-  `Vector3'  peekVector3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#417>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_angularVelocity0 as btSoftBody_Body_angularVelocity0'    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ rpos
, allocaVector3-  `Vector3'  peekVector3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#423>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_angularVelocity1 as btSoftBody_Body_angularVelocity1    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#456>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_applyVAImpulse as btSoftBody_Body_applyVAImpulse    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#456>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_applyVAImpulse as btSoftBody_Body_applyVAImpulse'    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#443>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_applyImpulse as btSoftBody_Body_applyImpulse    `( BtSoftBody_BodyClass bc , BtSoftBody_ImpulseClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ impulse
, withVector3* `Vector3'  peekVector3* -- ^ rpos
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#443>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_applyImpulse as btSoftBody_Body_applyImpulse'    `( BtSoftBody_BodyClass bc , BtSoftBody_ImpulseClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ impulse
, allocaVector3-  `Vector3'  peekVector3* -- ^ rpos
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#461>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_applyDAImpulse as btSoftBody_Body_applyDAImpulse    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#461>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_applyDAImpulse as btSoftBody_Body_applyDAImpulse'    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#429>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_velocity as btSoftBody_Body_velocity    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ rpos
, allocaVector3-  `Vector3'  peekVector3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#429>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_velocity as btSoftBody_Body_velocity'    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ rpos
, allocaVector3-  `Vector3'  peekVector3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#398>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_invMass as btSoftBody_Body_invMass    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#404>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_xform as btSoftBody_Body_xform    `( BtSoftBody_BodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaTransform-  `Transform'  peekTransform* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#372>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_m_soft_set    `( BtSoftBody_BodyClass bc , BtSoftBody_ClusterClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#373>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_m_rigid_set    `( BtSoftBody_BodyClass bc , BtRigidBodyClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#374>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Body_m_collisionObject_set    `( BtSoftBody_BodyClass bc , BtCollisionObjectClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
-- * CJoint
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#545>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_CJoint_new as btSoftBody_CJoint    {  } -> `BtSoftBody_CJoint' mkBtSoftBody_CJoint* #}
{#fun btSoftBody_CJoint_free    `( BtSoftBody_CJointClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#553>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_CJoint_Terminate as btSoftBody_CJoint_Terminate    `( BtSoftBody_CJointClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ dt
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#552>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_CJoint_Solve as btSoftBody_CJoint_Solve    `( BtSoftBody_CJointClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ dt
,  `Float'  -- ^ sor
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#551>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_CJoint_Prepare as btSoftBody_CJoint_Prepare    `( BtSoftBody_CJointClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ dt
,  `Int'  -- ^ iterations
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#546>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_CJoint_m_life_set    `( BtSoftBody_CJointClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#546>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_CJoint_m_life_get    `( BtSoftBody_CJointClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#547>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_CJoint_m_maxlife_set    `( BtSoftBody_CJointClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#547>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_CJoint_m_maxlife_get    `( BtSoftBody_CJointClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#549>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_CJoint_m_normal_set    `( BtSoftBody_CJointClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#549>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_CJoint_m_normal_get    `( BtSoftBody_CJointClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#550>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_CJoint_m_friction_set    `( BtSoftBody_CJointClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#550>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_CJoint_m_friction_get    `( BtSoftBody_CJointClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
-- * Cluster
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#340>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_new as btSoftBody_Cluster    {  } -> `BtSoftBody_Cluster' mkBtSoftBody_Cluster* #}
{#fun btSoftBody_Cluster_free    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#333>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_adamping_set    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#333>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_adamping_get    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#329>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_av_set    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#329>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_av_get    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#339>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_clusterIndex_set    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#339>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_clusterIndex_get    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#338>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_collide_set    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#338>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_collide_get    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#323>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_com_set    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#323>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_com_get    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#337>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_containsAnchor_set    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#337>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_containsAnchor_get    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#318>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_framexform_set    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' , withTransform* `Transform'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#318>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_framexform_get    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' , allocaTransform-  `Transform'  peekTransform* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#319>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_idmass_set    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#319>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_idmass_get    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#320>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_imass_set    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#320>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_imass_get    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#322>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_invwi_set    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' , withMatrix3x3* `Matrix3x3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#322>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_invwi_get    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' , allocaMatrix3x3-  `Matrix3x3'  peekMatrix3x3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#332>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_ldamping_set    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#332>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_ldamping_get    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#330>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_leaf_set    `( BtSoftBody_ClusterClass bc , BtDbvtNodeClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#321>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_locii_set    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' , withMatrix3x3* `Matrix3x3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#321>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_locii_get    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' , allocaMatrix3x3-  `Matrix3x3'  peekMatrix3x3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#328>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_lv_set    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#328>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_lv_get    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#334>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_matching_set    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#334>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_matching_get    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#335>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_maxSelfCollisionImpulse_set    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#335>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_maxSelfCollisionImpulse_get    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#331>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_ndamping_set    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#331>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_ndamping_get    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#327>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_ndimpulses_set    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#327>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_ndimpulses_get    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#326>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_nvimpulses_set    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#326>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_nvimpulses_get    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#336>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_selfCollisionImpulseFactor_set    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#336>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Cluster_m_selfCollisionImpulseFactor_get    `( BtSoftBody_ClusterClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
-- * Config
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#558>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_new as btSoftBody_Config    {  } -> `BtSoftBody_Config' mkBtSoftBody_Config* #}
{#fun btSoftBody_Config_free    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#560>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kVCF_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#560>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kVCF_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#561>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kDP_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#561>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kDP_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#562>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kDG_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#562>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kDG_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#563>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kLF_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#563>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kLF_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#564>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kPR_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#564>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kPR_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#565>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kVC_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#565>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kVC_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#566>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kDF_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#566>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kDF_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#567>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kMT_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#567>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kMT_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#568>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kCHR_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#568>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kCHR_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#569>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kKHR_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#569>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kKHR_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#570>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kSHR_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#570>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kSHR_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#571>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kAHR_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#571>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kAHR_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#572>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kSRHR_CL_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#572>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kSRHR_CL_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#573>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kSKHR_CL_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#573>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kSKHR_CL_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#574>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kSSHR_CL_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#574>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kSSHR_CL_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#575>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kSR_SPLT_CL_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#575>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kSR_SPLT_CL_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#576>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kSK_SPLT_CL_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#576>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kSK_SPLT_CL_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#577>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kSS_SPLT_CL_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#577>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_kSS_SPLT_CL_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#578>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_maxvolume_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#578>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_maxvolume_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#579>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_timescale_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#579>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_timescale_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#580>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_viterations_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#580>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_viterations_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#581>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_piterations_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#581>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_piterations_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#582>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_diterations_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#582>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_diterations_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#583>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_citerations_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#583>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_citerations_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#584>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_collisions_set    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#584>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Config_collisions_get    `( BtSoftBody_ConfigClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * Element
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#199>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Element_new as btSoftBody_Element    {  } -> `BtSoftBody_Element' mkBtSoftBody_Element* #}
{#fun btSoftBody_Element_free    `( BtSoftBody_ElementClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * Face
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#241>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Face_new as btSoftBody_Face    {  } -> `BtSoftBody_Face' mkBtSoftBody_Face* #}
{#fun btSoftBody_Face_free    `( BtSoftBody_FaceClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#243>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Face_m_normal_set    `( BtSoftBody_FaceClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#243>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Face_m_normal_get    `( BtSoftBody_FaceClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#244>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Face_m_ra_set    `( BtSoftBody_FaceClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#244>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Face_m_ra_get    `( BtSoftBody_FaceClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#245>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Face_m_leaf_set    `( BtSoftBody_FaceClass bc , BtDbvtNodeClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
-- * Feature
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#212>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Feature_new as btSoftBody_Feature    {  } -> `BtSoftBody_Feature' mkBtSoftBody_Feature* #}
{#fun btSoftBody_Feature_free    `( BtSoftBody_FeatureClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#213>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Feature_m_material_set    `( BtSoftBody_FeatureClass bc , BtSoftBody_MaterialClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
-- * IControl
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#525>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_AJoint_IControl_new as btSoftBody_AJoint_IControl    {  } -> `BtSoftBody_AJoint_IControl' mkBtSoftBody_AJoint_IControl* #}
{#fun btSoftBody_AJoint_IControl_free    `( BtSoftBody_AJoint_IControlClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#528>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_AJoint_IControl_Default as btSoftBody_AJoint_IControl_Default    `( )' =>     {  } ->  `BtSoftBody_AJoint_IControl' mkBtSoftBody_AJoint_IControl*  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#527>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_AJoint_IControl_Speed as btSoftBody_AJoint_IControl_Speed    `( BtSoftBody_AJoint_IControlClass bc , BtSoftBody_AJointClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ arg0
,  `Float'  -- ^ current
 } ->  `Float'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#526>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_AJoint_IControl_Prepare as btSoftBody_AJoint_IControl_Prepare    `( BtSoftBody_AJoint_IControlClass bc , BtSoftBody_AJointClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ arg0
 } ->  `()'  #}
-- * ImplicitFn
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#169>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_ImplicitFn_Eval as btSoftBody_ImplicitFn_Eval    `( BtSoftBody_ImplicitFnClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ x
 } ->  `Float'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#169>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_ImplicitFn_Eval as btSoftBody_ImplicitFn_Eval'    `( BtSoftBody_ImplicitFnClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ x
 } ->  `Float'  #}
-- * Impulse
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#353>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Impulse_new as btSoftBody_Impulse    {  } -> `BtSoftBody_Impulse' mkBtSoftBody_Impulse* #}
{#fun btSoftBody_Impulse_free    `( BtSoftBody_ImpulseClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#352>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Impulse_m_asDrift_set    `( BtSoftBody_ImpulseClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#352>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Impulse_m_asDrift_get    `( BtSoftBody_ImpulseClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#351>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Impulse_m_asVelocity_set    `( BtSoftBody_ImpulseClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#351>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Impulse_m_asVelocity_get    `( BtSoftBody_ImpulseClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#350>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Impulse_m_drift_set    `( BtSoftBody_ImpulseClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#350>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Impulse_m_drift_get    `( BtSoftBody_ImpulseClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#349>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Impulse_m_velocity_set    `( BtSoftBody_ImpulseClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#349>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Impulse_m_velocity_get    `( BtSoftBody_ImpulseClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
-- * Joint
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#505>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_Terminate as btSoftBody_Joint_Terminate    `( BtSoftBody_JointClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ dt
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#504>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_Solve as btSoftBody_Joint_Solve    `( BtSoftBody_JointClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ dt
,  `Float'  -- ^ sor
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#503>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_Prepare as btSoftBody_Joint_Prepare    `( BtSoftBody_JointClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ dt
,  `Int'  -- ^ iterations
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#494>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_m_cfm_set    `( BtSoftBody_JointClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#494>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_m_cfm_get    `( BtSoftBody_JointClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#495>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_m_erp_set    `( BtSoftBody_JointClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#495>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_m_erp_get    `( BtSoftBody_JointClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#496>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_m_split_set    `( BtSoftBody_JointClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#496>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_m_split_get    `( BtSoftBody_JointClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#497>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_m_drift_set    `( BtSoftBody_JointClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#497>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_m_drift_get    `( BtSoftBody_JointClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#498>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_m_sdrift_set    `( BtSoftBody_JointClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#498>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_m_sdrift_get    `( BtSoftBody_JointClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#499>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_m_massmatrix_set    `( BtSoftBody_JointClass bc )' =>     { withBt* `bc' , withMatrix3x3* `Matrix3x3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#499>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_m_massmatrix_get    `( BtSoftBody_JointClass bc )' =>     { withBt* `bc' , allocaMatrix3x3-  `Matrix3x3'  peekMatrix3x3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#500>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_m_delete_set    `( BtSoftBody_JointClass bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#500>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_m_delete_get    `( BtSoftBody_JointClass bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
-- * LJoint
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#510>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_LJoint_new as btSoftBody_LJoint    {  } -> `BtSoftBody_LJoint' mkBtSoftBody_LJoint* #}
{#fun btSoftBody_LJoint_free    `( BtSoftBody_LJointClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#518>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_LJoint_Terminate as btSoftBody_LJoint_Terminate    `( BtSoftBody_LJointClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ dt
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#517>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_LJoint_Solve as btSoftBody_LJoint_Solve    `( BtSoftBody_LJointClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ dt
,  `Float'  -- ^ sor
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#516>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_LJoint_Prepare as btSoftBody_LJoint_Prepare    `( BtSoftBody_LJointClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ dt
,  `Int'  -- ^ iterations
 } ->  `()'  #}
-- * Link
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#230>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Link_new as btSoftBody_Link    {  } -> `BtSoftBody_Link' mkBtSoftBody_Link* #}
{#fun btSoftBody_Link_free    `( BtSoftBody_LinkClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#232>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Link_m_rl_set    `( BtSoftBody_LinkClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#232>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Link_m_rl_get    `( BtSoftBody_LinkClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#233>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Link_m_bbending_set    `( BtSoftBody_LinkClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#233>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Link_m_bbending_get    `( BtSoftBody_LinkClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#234>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Link_m_c0_set    `( BtSoftBody_LinkClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#234>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Link_m_c0_get    `( BtSoftBody_LinkClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#235>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Link_m_c1_set    `( BtSoftBody_LinkClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#235>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Link_m_c1_get    `( BtSoftBody_LinkClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#236>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Link_m_c2_set    `( BtSoftBody_LinkClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#236>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Link_m_c2_get    `( BtSoftBody_LinkClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#237>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Link_m_c3_set    `( BtSoftBody_LinkClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#237>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Link_m_c3_get    `( BtSoftBody_LinkClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
-- * Material
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#203>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Material_new as btSoftBody_Material    {  } -> `BtSoftBody_Material' mkBtSoftBody_Material* #}
{#fun btSoftBody_Material_free    `( BtSoftBody_MaterialClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#207>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Material_m_flags_set    `( BtSoftBody_MaterialClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#207>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Material_m_flags_get    `( BtSoftBody_MaterialClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#205>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Material_m_kAST_set    `( BtSoftBody_MaterialClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#205>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Material_m_kAST_get    `( BtSoftBody_MaterialClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#204>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Material_m_kLST_set    `( BtSoftBody_MaterialClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#204>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Material_m_kLST_get    `( BtSoftBody_MaterialClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#206>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Material_m_kVST_set    `( BtSoftBody_MaterialClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#206>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Material_m_kVST_get    `( BtSoftBody_MaterialClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
-- * Node
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#217>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Node_new as btSoftBody_Node    {  } -> `BtSoftBody_Node' mkBtSoftBody_Node* #}
{#fun btSoftBody_Node_free    `( BtSoftBody_NodeClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#224>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Node_m_area_set    `( BtSoftBody_NodeClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#224>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Node_m_area_get    `( BtSoftBody_NodeClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#226>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Node_m_battach_set    `( BtSoftBody_NodeClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#226>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Node_m_battach_get    `( BtSoftBody_NodeClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#221>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Node_m_f_set    `( BtSoftBody_NodeClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#221>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Node_m_f_get    `( BtSoftBody_NodeClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#223>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Node_m_im_set    `( BtSoftBody_NodeClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#223>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Node_m_im_get    `( BtSoftBody_NodeClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#225>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Node_m_leaf_set    `( BtSoftBody_NodeClass bc , BtDbvtNodeClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#222>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Node_m_n_set    `( BtSoftBody_NodeClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#222>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Node_m_n_get    `( BtSoftBody_NodeClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#219>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Node_m_q_set    `( BtSoftBody_NodeClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#219>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Node_m_q_get    `( BtSoftBody_NodeClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#220>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Node_m_v_set    `( BtSoftBody_NodeClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#220>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Node_m_v_get    `( BtSoftBody_NodeClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#218>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Node_m_x_set    `( BtSoftBody_NodeClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#218>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Node_m_x_get    `( BtSoftBody_NodeClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
-- * Note
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#292>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Note_new as btSoftBody_Note    {  } -> `BtSoftBody_Note' mkBtSoftBody_Note* #}
{#fun btSoftBody_Note_free    `( BtSoftBody_NoteClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#293>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Note_m_text_set    `( BtSoftBody_NoteClass bc )' =>     { withBt* `bc' ,  `String'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#293>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Note_m_text_get    `( BtSoftBody_NoteClass bc )' =>     { withBt* `bc'  } ->  `String'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#294>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Note_m_offset_set    `( BtSoftBody_NoteClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#294>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Note_m_offset_get    `( BtSoftBody_NoteClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#295>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Note_m_rank_set    `( BtSoftBody_NoteClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#295>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Note_m_rank_get    `( BtSoftBody_NoteClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * Pose
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#301>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Pose_new as btSoftBody_Pose    {  } -> `BtSoftBody_Pose' mkBtSoftBody_Pose* #}
{#fun btSoftBody_Pose_free    `( BtSoftBody_PoseClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#302>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Pose_m_bvolume_set    `( BtSoftBody_PoseClass bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#302>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Pose_m_bvolume_get    `( BtSoftBody_PoseClass bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#303>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Pose_m_bframe_set    `( BtSoftBody_PoseClass bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#303>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Pose_m_bframe_get    `( BtSoftBody_PoseClass bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#304>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Pose_m_volume_set    `( BtSoftBody_PoseClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#304>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Pose_m_volume_get    `( BtSoftBody_PoseClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#307>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Pose_m_com_set    `( BtSoftBody_PoseClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#307>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Pose_m_com_get    `( BtSoftBody_PoseClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#308>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Pose_m_rot_set    `( BtSoftBody_PoseClass bc )' =>     { withBt* `bc' , withMatrix3x3* `Matrix3x3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#308>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Pose_m_rot_get    `( BtSoftBody_PoseClass bc )' =>     { withBt* `bc' , allocaMatrix3x3-  `Matrix3x3'  peekMatrix3x3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#309>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Pose_m_scl_set    `( BtSoftBody_PoseClass bc )' =>     { withBt* `bc' , withMatrix3x3* `Matrix3x3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#309>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Pose_m_scl_get    `( BtSoftBody_PoseClass bc )' =>     { withBt* `bc' , allocaMatrix3x3-  `Matrix3x3'  peekMatrix3x3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#310>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Pose_m_aqq_set    `( BtSoftBody_PoseClass bc )' =>     { withBt* `bc' , withMatrix3x3* `Matrix3x3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#310>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Pose_m_aqq_get    `( BtSoftBody_PoseClass bc )' =>     { withBt* `bc' , allocaMatrix3x3-  `Matrix3x3'  peekMatrix3x3* } -> `()' #}
-- * RContact
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#259>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RContact_new as btSoftBody_RContact    {  } -> `BtSoftBody_RContact' mkBtSoftBody_RContact* #}
{#fun btSoftBody_RContact_free    `( BtSoftBody_RContactClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#261>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RContact_m_node_set    `( BtSoftBody_RContactClass bc , BtSoftBody_NodeClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#262>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RContact_m_c0_set    `( BtSoftBody_RContactClass bc )' =>     { withBt* `bc' , withMatrix3x3* `Matrix3x3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#262>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RContact_m_c0_get    `( BtSoftBody_RContactClass bc )' =>     { withBt* `bc' , allocaMatrix3x3-  `Matrix3x3'  peekMatrix3x3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#263>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RContact_m_c1_set    `( BtSoftBody_RContactClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#263>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RContact_m_c1_get    `( BtSoftBody_RContactClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#264>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RContact_m_c2_set    `( BtSoftBody_RContactClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#264>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RContact_m_c2_get    `( BtSoftBody_RContactClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RContact_m_c3_set    `( BtSoftBody_RContactClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#265>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RContact_m_c3_get    `( BtSoftBody_RContactClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#266>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RContact_m_c4_set    `( BtSoftBody_RContactClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#266>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RContact_m_c4_get    `( BtSoftBody_RContactClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
-- * RayFromToCaster
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#607>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RayFromToCaster_new as btSoftBody_RayFromToCaster    {  withVector3* `Vector3' , withVector3* `Vector3' ,  `Float'  } -> `BtSoftBody_RayFromToCaster' mkBtSoftBody_RayFromToCaster* #}
{#fun btSoftBody_RayFromToCaster_free    `( BtSoftBody_RayFromToCasterClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#608>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RayFromToCaster_Process as btSoftBody_RayFromToCaster_Process    `( BtSoftBody_RayFromToCasterClass bc , BtDbvtNodeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ leaf
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#601>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RayFromToCaster_m_rayFrom_set    `( BtSoftBody_RayFromToCasterClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#601>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RayFromToCaster_m_rayFrom_get    `( BtSoftBody_RayFromToCasterClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#602>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RayFromToCaster_m_rayTo_set    `( BtSoftBody_RayFromToCasterClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#602>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RayFromToCaster_m_rayTo_get    `( BtSoftBody_RayFromToCasterClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#603>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RayFromToCaster_m_rayNormalizedDirection_set    `( BtSoftBody_RayFromToCasterClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#603>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RayFromToCaster_m_rayNormalizedDirection_get    `( BtSoftBody_RayFromToCasterClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#604>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RayFromToCaster_m_mint_set    `( BtSoftBody_RayFromToCasterClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#604>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RayFromToCaster_m_mint_get    `( BtSoftBody_RayFromToCasterClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#605>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RayFromToCaster_m_face_set    `( BtSoftBody_RayFromToCasterClass bc , BtSoftBody_FaceClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#606>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RayFromToCaster_m_tests_set    `( BtSoftBody_RayFromToCasterClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#606>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_RayFromToCaster_m_tests_get    `( BtSoftBody_RayFromToCasterClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
-- * SContact
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#270>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SContact_new as btSoftBody_SContact    {  } -> `BtSoftBody_SContact' mkBtSoftBody_SContact* #}
{#fun btSoftBody_SContact_free    `( BtSoftBody_SContactClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#271>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SContact_m_node_set    `( BtSoftBody_SContactClass bc , BtSoftBody_NodeClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#272>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SContact_m_face_set    `( BtSoftBody_SContactClass bc , BtSoftBody_FaceClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#273>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SContact_m_weights_set    `( BtSoftBody_SContactClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#273>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SContact_m_weights_get    `( BtSoftBody_SContactClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#274>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SContact_m_normal_set    `( BtSoftBody_SContactClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#274>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SContact_m_normal_get    `( BtSoftBody_SContactClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#275>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SContact_m_margin_set    `( BtSoftBody_SContactClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#275>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SContact_m_margin_get    `( BtSoftBody_SContactClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#276>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SContact_m_friction_set    `( BtSoftBody_SContactClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#276>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SContact_m_friction_get    `( BtSoftBody_SContactClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
-- * SolverState
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#591>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SolverState_new as btSoftBody_SolverState    {  } -> `BtSoftBody_SolverState' mkBtSoftBody_SolverState* #}
{#fun btSoftBody_SolverState_free    `( BtSoftBody_SolverStateClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#592>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SolverState_sdt_set    `( BtSoftBody_SolverStateClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#592>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SolverState_sdt_get    `( BtSoftBody_SolverStateClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#593>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SolverState_isdt_set    `( BtSoftBody_SolverStateClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#593>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SolverState_isdt_get    `( BtSoftBody_SolverStateClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#594>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SolverState_velmrg_set    `( BtSoftBody_SolverStateClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#594>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SolverState_velmrg_get    `( BtSoftBody_SolverStateClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#595>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SolverState_radmrg_set    `( BtSoftBody_SolverStateClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#595>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SolverState_radmrg_get    `( BtSoftBody_SolverStateClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#596>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SolverState_updmrg_set    `( BtSoftBody_SolverStateClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#596>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_SolverState_updmrg_get    `( BtSoftBody_SolverStateClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
-- * Specs
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#487>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_Specs_new as btSoftBody_Joint_Specs    {  } -> `BtSoftBody_Joint_Specs' mkBtSoftBody_Joint_Specs* #}
{#fun btSoftBody_Joint_Specs_free    `( BtSoftBody_Joint_SpecsClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#488>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_Specs_erp_set    `( BtSoftBody_Joint_SpecsClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#488>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_Specs_erp_get    `( BtSoftBody_Joint_SpecsClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#489>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_Specs_cfm_set    `( BtSoftBody_Joint_SpecsClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#489>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_Specs_cfm_get    `( BtSoftBody_Joint_SpecsClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#490>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_Specs_split_set    `( BtSoftBody_Joint_SpecsClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#490>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_Specs_split_get    `( BtSoftBody_Joint_SpecsClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
-- * Specs
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#512>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_LJoint_Specs_new as btSoftBody_LJoint_Specs    {  } -> `BtSoftBody_LJoint_Specs' mkBtSoftBody_LJoint_Specs* #}
{#fun btSoftBody_LJoint_Specs_free    `( BtSoftBody_LJoint_SpecsClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#513>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_LJoint_Specs_position_set    `( BtSoftBody_LJoint_SpecsClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#513>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_LJoint_Specs_position_get    `( BtSoftBody_LJoint_SpecsClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
-- * Specs
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#532>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_AJoint_Specs_new as btSoftBody_AJoint_Specs    {  } -> `BtSoftBody_AJoint_Specs' mkBtSoftBody_AJoint_Specs* #}
{#fun btSoftBody_AJoint_Specs_free    `( BtSoftBody_AJoint_SpecsClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#533>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_AJoint_Specs_axis_set    `( BtSoftBody_AJoint_SpecsClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#533>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_AJoint_Specs_axis_get    `( BtSoftBody_AJoint_SpecsClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#534>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_AJoint_Specs_icontrol_set    `( BtSoftBody_AJoint_SpecsClass bc , BtSoftBody_AJoint_IControlClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
-- * Tetra
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#249>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Tetra_new as btSoftBody_Tetra    {  } -> `BtSoftBody_Tetra' mkBtSoftBody_Tetra* #}
{#fun btSoftBody_Tetra_free    `( BtSoftBody_TetraClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#251>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Tetra_m_rv_set    `( BtSoftBody_TetraClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#251>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Tetra_m_rv_get    `( BtSoftBody_TetraClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#252>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Tetra_m_leaf_set    `( BtSoftBody_TetraClass bc , BtDbvtNodeClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#254>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Tetra_m_c1_set    `( BtSoftBody_TetraClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#254>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Tetra_m_c1_get    `( BtSoftBody_TetraClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#255>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Tetra_m_c2_set    `( BtSoftBody_TetraClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#255>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Tetra_m_c2_get    `( BtSoftBody_TetraClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
-- * btSoftBody
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#679>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_new1 as btSoftBody1    `( BtSoftBodyWorldInfoClass p0 )' =>     {  withBt* `p0'  } -> `BtSoftBody' mkBtSoftBody* #}
{#fun btSoftBody_free    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#808>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_getVolume as btSoftBody_getVolume    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#839>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_cutLink0 as btSoftBody_cutLink    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ node0
,  `Int'  -- ^ node1
,  `Float'  -- ^ position
 } ->  `Bool'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#839>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_cutLink0 as btSoftBody_cutLink0    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ node0
,  `Int'  -- ^ node1
,  `Float'  -- ^ position
 } ->  `Bool'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#840>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_cutLink1 as btSoftBody_cutLink1    `( BtSoftBodyClass bc , BtSoftBody_NodeClass p0 , BtSoftBody_NodeClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ node0
, withBt* `p1'  -- ^ node1
,  `Float'  -- ^ position
 } ->  `Bool'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#959>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_PSolve_Links as btSoftBody_PSolve_Links    `(  BtSoftBodyClass p0 )' =>     {  withBt* `p0'  -- ^ psb
,  `Float'  -- ^ kst
,  `Float'  -- ^ ti
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#835>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_generateClusters as btSoftBody_generateClusters    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ k
,  `Int'  -- ^ maxiterations
 } ->  `Int'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#695>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_setCollisionShape as btSoftBody_setCollisionShape    `( BtSoftBodyClass bc , BtCollisionShapeClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ collisionShape
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#948>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_initializeClusters as btSoftBody_initializeClusters    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#820>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_clusterVAImpulse as btSoftBody_clusterVAImpulse    `(  BtSoftBody_ClusterClass p0 )' =>     {  withBt* `p0'  -- ^ cluster
, withVector3* `Vector3'  peekVector3* -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#820>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_clusterVAImpulse as btSoftBody_clusterVAImpulse'    `(  BtSoftBody_ClusterClass p0 )' =>     {  withBt* `p0'  -- ^ cluster
, allocaVector3-  `Vector3'  peekVector3* -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#767>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_addForce0 as btSoftBody_addForce    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ force
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#767>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_addForce0 as btSoftBody_addForce'    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ force
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#767>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_addForce0 as btSoftBody_addForce0    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ force
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#767>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_addForce0 as btSoftBody_addForce0'    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ force
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#770>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_addForce1 as btSoftBody_addForce1    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ force
,  `Int'  -- ^ node
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#770>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_addForce1 as btSoftBody_addForce1'    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ force
,  `Int'  -- ^ node
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#945>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_updateBounds as btSoftBody_updateBounds    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#801>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_rotate as btSoftBody_rotate    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withQuaternion* `Quaternion'  peekQuaternion* -- ^ rot
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#801>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_rotate as btSoftBody_rotate'    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaQuaternion-  `Quaternion'  peekQuaternion* -- ^ rot
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#830>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_releaseCluster as btSoftBody_releaseCluster    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ index
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#944>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_updateNormals as btSoftBody_updateNormals    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#951>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_prepareClusters as btSoftBody_prepareClusters    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ iterations
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#831>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_releaseClusters as btSoftBody_releaseClusters    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#786>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_getTotalMass as btSoftBody_getTotalMass    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Float'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#943>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_checkContact as btSoftBody_checkContact    `( BtSoftBodyClass bc , BtCollisionObjectClass p0 , BtSoftBody_sCtiClass p3 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ colObj
, withVector3* `Vector3'  peekVector3* -- ^ x
,  `Float'  -- ^ margin
, withBt* `p3'  -- ^ cti
 } ->  `Bool'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#943>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_checkContact as btSoftBody_checkContact'    `( BtSoftBodyClass bc , BtCollisionObjectClass p0 , BtSoftBody_sCtiClass p3 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ colObj
, allocaVector3-  `Vector3'  peekVector3* -- ^ x
,  `Float'  -- ^ margin
, withBt* `p3'  -- ^ cti
 } ->  `Bool'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#818>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_clusterDImpulse as btSoftBody_clusterDImpulse    `(  BtSoftBody_ClusterClass p0 )' =>     {  withBt* `p0'  -- ^ cluster
, withVector3* `Vector3'  peekVector3* -- ^ rpos
, withVector3* `Vector3'  peekVector3* -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#818>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_clusterDImpulse as btSoftBody_clusterDImpulse'    `(  BtSoftBody_ClusterClass p0 )' =>     {  withBt* `p0'  -- ^ cluster
, allocaVector3-  `Vector3'  peekVector3* -- ^ rpos
, allocaVector3-  `Vector3'  peekVector3* -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#681>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_initDefaults as btSoftBody_initDefaults    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#701>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_checkLink0 as btSoftBody_checkLink    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ node0
,  `Int'  -- ^ node1
 } ->  `Bool'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#701>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_checkLink0 as btSoftBody_checkLink0    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ node0
,  `Int'  -- ^ node1
 } ->  `Bool'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#703>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_checkLink1 as btSoftBody_checkLink1    `( BtSoftBodyClass bc , BtSoftBody_NodeClass p0 , BtSoftBody_NodeClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ node0
, withBt* `p1'  -- ^ node1
 } ->  `Bool'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#793>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_setVolumeMass as btSoftBody_setVolumeMass    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ mass
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#819>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_clusterImpulse as btSoftBody_clusterImpulse    `(  BtSoftBody_ClusterClass p0 , BtSoftBody_ImpulseClass p2 )' =>     {  withBt* `p0'  -- ^ cluster
, withVector3* `Vector3'  peekVector3* -- ^ rpos
, withBt* `p2'  -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#819>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_clusterImpulse as btSoftBody_clusterImpulse'    `(  BtSoftBody_ClusterClass p0 , BtSoftBody_ImpulseClass p2 )' =>     {  withBt* `p0'  -- ^ cluster
, allocaVector3-  `Vector3'  peekVector3* -- ^ rpos
, withBt* `p2'  -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#707>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_checkFace as btSoftBody_checkFace    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ node0
,  `Int'  -- ^ node1
,  `Int'  -- ^ node2
 } ->  `Bool'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#942>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_evaluateCom as btSoftBody_evaluateCom    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#821>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_clusterDAImpulse as btSoftBody_clusterDAImpulse    `(  BtSoftBody_ClusterClass p0 )' =>     {  withBt* `p0'  -- ^ cluster
, withVector3* `Vector3'  peekVector3* -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#821>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_clusterDAImpulse as btSoftBody_clusterDAImpulse'    `(  BtSoftBody_ClusterClass p0 )' =>     {  withBt* `p0'  -- ^ cluster
, allocaVector3-  `Vector3'  peekVector3* -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#960>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_VSolve_Links as btSoftBody_VSolve_Links    `(  BtSoftBodyClass p0 )' =>     {  withBt* `p0'  -- ^ psb
,  `Float'  -- ^ kst
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#789>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_setTotalMass as btSoftBody_setTotalMass    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ mass
,  `Bool'  -- ^ fromfaces
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#823>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_clusterDCImpulse as btSoftBody_clusterDCImpulse    `(  BtSoftBody_ClusterClass p0 )' =>     {  withBt* `p0'  -- ^ cluster
, withVector3* `Vector3'  peekVector3* -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#823>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_clusterDCImpulse as btSoftBody_clusterDCImpulse'    `(  BtSoftBody_ClusterClass p0 )' =>     {  withBt* `p0'  -- ^ cluster
, allocaVector3-  `Vector3'  peekVector3* -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#815>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_clusterVelocity as btSoftBody_clusterVelocity    `(  BtSoftBody_ClusterClass p0 )' =>     {  withBt* `p0'  -- ^ cluster
, withVector3* `Vector3'  peekVector3* -- ^ rpos
, allocaVector3-  `Vector3'  peekVector3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#815>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_clusterVelocity as btSoftBody_clusterVelocity'    `(  BtSoftBody_ClusterClass p0 )' =>     {  withBt* `p0'  -- ^ cluster
, allocaVector3-  `Vector3'  peekVector3* -- ^ rpos
, allocaVector3-  `Vector3'  peekVector3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#826>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_generateBendingConstraints as btSoftBody_generateBendingConstraints    `( BtSoftBodyClass bc , BtSoftBody_MaterialClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ distance
, withBt* `p1'  -- ^ mat
 } ->  `Int'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#949>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_updateClusters as btSoftBody_updateClusters    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#756>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendAnchor0 as btSoftBody_appendAnchor    `( BtSoftBodyClass bc , BtRigidBodyClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ node
, withBt* `p1'  -- ^ body
,  `Bool'  -- ^ disableCollisionBetweenLinkedBodies
,  `Float'  -- ^ influence
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#756>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendAnchor0 as btSoftBody_appendAnchor0    `( BtSoftBodyClass bc , BtRigidBodyClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ node
, withBt* `p1'  -- ^ body
,  `Bool'  -- ^ disableCollisionBetweenLinkedBodies
,  `Float'  -- ^ influence
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#757>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendAnchor1 as btSoftBody_appendAnchor1    `( BtSoftBodyClass bc , BtRigidBodyClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ node
, withBt* `p1'  -- ^ body
, withVector3* `Vector3'  peekVector3* -- ^ localPivot
,  `Bool'  -- ^ disableCollisionBetweenLinkedBodies
,  `Float'  -- ^ influence
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#757>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendAnchor1 as btSoftBody_appendAnchor1'    `( BtSoftBodyClass bc , BtRigidBodyClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ node
, withBt* `p1'  -- ^ body
, allocaVector3-  `Vector3'  peekVector3* -- ^ localPivot
,  `Bool'  -- ^ disableCollisionBetweenLinkedBodies
,  `Float'  -- ^ influence
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#953>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_applyClusters as btSoftBody_applyClusters    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Bool'  -- ^ drift
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#775>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_setVelocity as btSoftBody_setVelocity    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ velocity
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#775>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_setVelocity as btSoftBody_setVelocity'    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ velocity
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#810>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_clusterCount as btSoftBody_clusterCount    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#911>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_upcast0 as btSoftBody_upcast    `(  BtCollisionObjectClass p0 )' =>     {  withBt* `p0'  -- ^ colObj
 } ->  `BtSoftBody' mkBtSoftBody*  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#911>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_upcast0 as btSoftBody_upcast0    `(  BtCollisionObjectClass p0 )' =>     {  withBt* `p0'  -- ^ colObj
 } ->  `BtSoftBody' mkBtSoftBody*  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#917>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_upcast1 as btSoftBody_upcast1    `(  BtCollisionObjectClass p0 )' =>     {  withBt* `p0'  -- ^ colObj
 } ->  `BtSoftBody' mkBtSoftBody*  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#879>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_getWindVelocity as btSoftBody_getWindVelocity    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#849>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_predictMotion as btSoftBody_predictMotion    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ dt
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#936>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_pointersToIndices as btSoftBody_pointersToIndices    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#784>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_getMass as btSoftBody_getMass    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ node
 } ->  `Float'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#957>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_PSolve_RContacts as btSoftBody_PSolve_RContacts    `(  BtSoftBodyClass p0 )' =>     {  withBt* `p0'  -- ^ psb
,  `Float'  -- ^ kst
,  `Float'  -- ^ ti
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#941>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_initializeFaceTree as btSoftBody_initializeFaceTree    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#772>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_addVelocity0 as btSoftBody_addVelocity    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ velocity
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#772>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_addVelocity0 as btSoftBody_addVelocity'    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ velocity
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#772>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_addVelocity0 as btSoftBody_addVelocity0    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ velocity
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#772>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_addVelocity0 as btSoftBody_addVelocity0'    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ velocity
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#779>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_addVelocity1 as btSoftBody_addVelocity1    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ velocity
,  `Int'  -- ^ node
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#779>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_addVelocity1 as btSoftBody_addVelocity1'    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ velocity
,  `Int'  -- ^ node
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#956>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_PSolve_Anchors as btSoftBody_PSolve_Anchors    `(  BtSoftBodyClass p0 )' =>     {  withBt* `p0'  -- ^ psb
,  `Float'  -- ^ kst
,  `Float'  -- ^ ti
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#950>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_cleanupClusters as btSoftBody_cleanupClusters    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#797>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_transform as btSoftBody_transform    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withTransform* `Transform'  peekTransform* -- ^ trs
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#797>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_transform as btSoftBody_transform'    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaTransform-  `Transform'  peekTransform* -- ^ trs
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#761>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendLinearJoint2 as btSoftBody_appendLinearJoint2    `( BtSoftBodyClass bc , BtSoftBody_LJoint_SpecsClass p0 , BtSoftBodyClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ specs
, withBt* `p1'  -- ^ body
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#828>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_randomizeConstraints as btSoftBody_randomizeConstraints    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#946>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_updatePose as btSoftBody_updatePose    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#799>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_translate as btSoftBody_translate    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ trs
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#799>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_translate as btSoftBody_translate'    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ trs
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#928>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_getAabb as btSoftBody_getAabb    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ aabbMin
, withVector3* `Vector3'  peekVector3* -- ^ aabbMax
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#928>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_getAabb as btSoftBody_getAabb'    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ aabbMin
, allocaVector3-  `Vector3'  peekVector3* -- ^ aabbMax
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#958>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_PSolve_SContacts as btSoftBody_PSolve_SContacts    `(  BtSoftBodyClass p0 )' =>     {  withBt* `p0'  -- ^ psb
,  `Float'  -- ^ arg1
,  `Float'  -- ^ ti
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#709>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendMaterial as btSoftBody_appendMaterial    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtSoftBody_Material' mkBtSoftBody_Material*  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#728>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendNode as btSoftBody_appendNode    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ x
,  `Float'  -- ^ m
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#728>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendNode as btSoftBody_appendNode'    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ x
,  `Float'  -- ^ m
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#782>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_setMass as btSoftBody_setMass    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ node
,  `Float'  -- ^ mass
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#859>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_integrateMotion as btSoftBody_integrateMotion    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#861>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_defaultCollisionHandler0 as btSoftBody_defaultCollisionHandler    `( BtSoftBodyClass bc , BtCollisionObjectClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ pco
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#861>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_defaultCollisionHandler0 as btSoftBody_defaultCollisionHandler0    `( BtSoftBodyClass bc , BtCollisionObjectClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ pco
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#862>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_defaultCollisionHandler1 as btSoftBody_defaultCollisionHandler1    `( BtSoftBodyClass bc , BtSoftBodyClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ psb
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#851>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_solveConstraints as btSoftBody_solveConstraints    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#791>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_setTotalDensity as btSoftBody_setTotalDensity    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ density
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#717>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendNote0 as btSoftBody_appendNote    `( BtSoftBodyClass bc , BtSoftBody_NodeClass p3 , BtSoftBody_NodeClass p4 , BtSoftBody_NodeClass p5 , BtSoftBody_NodeClass p6 )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ text
, withVector3* `Vector3'  peekVector3* -- ^ o
, withVector4* `Vector4'  peekVector4* -- ^ c
, withBt* `p3'  -- ^ n0
, withBt* `p4'  -- ^ n1
, withBt* `p5'  -- ^ n2
, withBt* `p6'  -- ^ n3
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#717>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendNote0 as btSoftBody_appendNote'    `( BtSoftBodyClass bc , BtSoftBody_NodeClass p3 , BtSoftBody_NodeClass p4 , BtSoftBody_NodeClass p5 , BtSoftBody_NodeClass p6 )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ text
, allocaVector3-  `Vector3'  peekVector3* -- ^ o
, allocaVector4-  `Vector4'  peekVector4* -- ^ c
, withBt* `p3'  -- ^ n0
, withBt* `p4'  -- ^ n1
, withBt* `p5'  -- ^ n2
, withBt* `p6'  -- ^ n3
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#717>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendNote0 as btSoftBody_appendNote0    `( BtSoftBodyClass bc , BtSoftBody_NodeClass p3 , BtSoftBody_NodeClass p4 , BtSoftBody_NodeClass p5 , BtSoftBody_NodeClass p6 )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ text
, withVector3* `Vector3'  peekVector3* -- ^ o
, withVector4* `Vector4'  peekVector4* -- ^ c
, withBt* `p3'  -- ^ n0
, withBt* `p4'  -- ^ n1
, withBt* `p5'  -- ^ n2
, withBt* `p6'  -- ^ n3
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#717>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendNote0 as btSoftBody_appendNote0'    `( BtSoftBodyClass bc , BtSoftBody_NodeClass p3 , BtSoftBody_NodeClass p4 , BtSoftBody_NodeClass p5 , BtSoftBody_NodeClass p6 )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ text
, allocaVector3-  `Vector3'  peekVector3* -- ^ o
, allocaVector4-  `Vector4'  peekVector4* -- ^ c
, withBt* `p3'  -- ^ n0
, withBt* `p4'  -- ^ n1
, withBt* `p5'  -- ^ n2
, withBt* `p6'  -- ^ n3
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#720>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendNote1 as btSoftBody_appendNote1    `( BtSoftBodyClass bc , BtSoftBody_NodeClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ text
, withVector3* `Vector3'  peekVector3* -- ^ o
, withBt* `p2'  -- ^ feature
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#720>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendNote1 as btSoftBody_appendNote1'    `( BtSoftBodyClass bc , BtSoftBody_NodeClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ text
, allocaVector3-  `Vector3'  peekVector3* -- ^ o
, withBt* `p2'  -- ^ feature
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#723>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendNote2 as btSoftBody_appendNote2    `( BtSoftBodyClass bc , BtSoftBody_LinkClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ text
, withVector3* `Vector3'  peekVector3* -- ^ o
, withBt* `p2'  -- ^ feature
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#723>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendNote2 as btSoftBody_appendNote2'    `( BtSoftBodyClass bc , BtSoftBody_LinkClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ text
, allocaVector3-  `Vector3'  peekVector3* -- ^ o
, withBt* `p2'  -- ^ feature
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#726>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendNote3 as btSoftBody_appendNote3    `( BtSoftBodyClass bc , BtSoftBody_FaceClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ text
, withVector3* `Vector3'  peekVector3* -- ^ o
, withBt* `p2'  -- ^ feature
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#726>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendNote3 as btSoftBody_appendNote3'    `( BtSoftBodyClass bc , BtSoftBody_FaceClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `String'  -- ^ text
, allocaVector3-  `Vector3'  peekVector3* -- ^ o
, withBt* `p2'  -- ^ feature
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#795>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_setVolumeDensity as btSoftBody_setVolumeDensity    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ density
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#947>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_updateConstants as btSoftBody_updateConstants    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#853>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_staticSolve as btSoftBody_staticSolve    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ iterations
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#837>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_refine as btSoftBody_refine    `( BtSoftBodyClass bc , BtSoftBody_ImplicitFnClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ ifn
,  `Float'  -- ^ accurary
,  `Bool'  -- ^ cut
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#730>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendLink0 as btSoftBody_appendLink    `( BtSoftBodyClass bc , BtSoftBody_MaterialClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ model
, withBt* `p1'  -- ^ mat
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#730>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendLink0 as btSoftBody_appendLink0    `( BtSoftBodyClass bc , BtSoftBody_MaterialClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ model
, withBt* `p1'  -- ^ mat
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#734>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendLink1 as btSoftBody_appendLink1    `( BtSoftBodyClass bc , BtSoftBody_MaterialClass p2 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ node0
,  `Int'  -- ^ node1
, withBt* `p2'  -- ^ mat
,  `Bool'  -- ^ bcheckexist
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#738>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendLink2 as btSoftBody_appendLink2    `( BtSoftBodyClass bc , BtSoftBody_NodeClass p0 , BtSoftBody_NodeClass p1 , BtSoftBody_MaterialClass p2 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ node0
, withBt* `p1'  -- ^ node1
, withBt* `p2'  -- ^ mat
,  `Bool'  -- ^ bcheckexist
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#965>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_calculateSerializeBufferSize as btSoftBody_calculateSerializeBufferSize    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#952>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_solveClusters1 as btSoftBody_solveClusters1    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Float'  -- ^ sor
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#845>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_rayTest0 as btSoftBody_rayTest    `( BtSoftBodyClass bc , BtSoftBody_sRayCastClass p2 )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ rayFrom
, withVector3* `Vector3'  peekVector3* -- ^ rayTo
, withBt* `p2'  -- ^ results
 } ->  `Bool'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#845>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_rayTest0 as btSoftBody_rayTest'    `( BtSoftBodyClass bc , BtSoftBody_sRayCastClass p2 )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ rayFrom
, allocaVector3-  `Vector3'  peekVector3* -- ^ rayTo
, withBt* `p2'  -- ^ results
 } ->  `Bool'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#845>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_rayTest0 as btSoftBody_rayTest0    `( BtSoftBodyClass bc , BtSoftBody_sRayCastClass p2 )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ rayFrom
, withVector3* `Vector3'  peekVector3* -- ^ rayTo
, withBt* `p2'  -- ^ results
 } ->  `Bool'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#845>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_rayTest0 as btSoftBody_rayTest0'    `( BtSoftBodyClass bc , BtSoftBody_sRayCastClass p2 )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ rayFrom
, allocaVector3-  `Vector3'  peekVector3* -- ^ rayTo
, withBt* `p2'  -- ^ results
 } ->  `Bool'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#806>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_setPose as btSoftBody_setPose    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Bool'  -- ^ bvolume
,  `Bool'  -- ^ bframe
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#740>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendFace0 as btSoftBody_appendFace    `( BtSoftBodyClass bc , BtSoftBody_MaterialClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ model
, withBt* `p1'  -- ^ mat
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#740>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendFace0 as btSoftBody_appendFace0    `( BtSoftBodyClass bc , BtSoftBody_MaterialClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ model
, withBt* `p1'  -- ^ mat
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#744>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendFace1 as btSoftBody_appendFace1    `( BtSoftBodyClass bc , BtSoftBody_MaterialClass p3 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ node0
,  `Int'  -- ^ node1
,  `Int'  -- ^ node2
, withBt* `p3'  -- ^ mat
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#954>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_dampClusters as btSoftBody_dampClusters    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#689>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_getWorldInfo as btSoftBody_getWorldInfo    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtSoftBodyWorldInfo' mkBtSoftBodyWorldInfo*  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#765>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendAngularJoint2 as btSoftBody_appendAngularJoint2    `( BtSoftBodyClass bc , BtSoftBody_AJoint_SpecsClass p0 , BtSoftBodyClass p1 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ specs
, withBt* `p1'  -- ^ body
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#817>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_clusterVImpulse as btSoftBody_clusterVImpulse    `(  BtSoftBody_ClusterClass p0 )' =>     {  withBt* `p0'  -- ^ cluster
, withVector3* `Vector3'  peekVector3* -- ^ rpos
, withVector3* `Vector3'  peekVector3* -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#817>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_clusterVImpulse as btSoftBody_clusterVImpulse'    `(  BtSoftBody_ClusterClass p0 )' =>     {  withBt* `p0'  -- ^ cluster
, allocaVector3-  `Vector3'  peekVector3* -- ^ rpos
, allocaVector3-  `Vector3'  peekVector3* -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#803>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_scale as btSoftBody_scale    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ scl
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#803>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_scale as btSoftBody_scale'    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ scl
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#822>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_clusterAImpulse as btSoftBody_clusterAImpulse    `(  BtSoftBody_ClusterClass p0 , BtSoftBody_ImpulseClass p1 )' =>     {  withBt* `p0'  -- ^ cluster
, withBt* `p1'  -- ^ impulse
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#812>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_clusterCom0 as btSoftBody_clusterCom    `(  BtSoftBody_ClusterClass p0 )' =>     {  withBt* `p0'  -- ^ cluster
, allocaVector3-  `Vector3'  peekVector3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#812>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_clusterCom0 as btSoftBody_clusterCom0    `(  BtSoftBody_ClusterClass p0 )' =>     {  withBt* `p0'  -- ^ cluster
, allocaVector3-  `Vector3'  peekVector3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#813>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_clusterCom1 as btSoftBody_clusterCom1    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ cluster
, allocaVector3-  `Vector3'  peekVector3* -- ^ 
 } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#873>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_setWindVelocity as btSoftBody_setWindVelocity    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ velocity
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#873>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_setWindVelocity as btSoftBody_setWindVelocity'    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ velocity
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#955>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_applyForces as btSoftBody_applyForces    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#745>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendTetra0 as btSoftBody_appendTetra    `( BtSoftBodyClass bc , BtSoftBody_MaterialClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ model
, withBt* `p1'  -- ^ mat
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#745>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendTetra0 as btSoftBody_appendTetra0    `( BtSoftBodyClass bc , BtSoftBody_MaterialClass p1 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ model
, withBt* `p1'  -- ^ mat
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#751>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_appendTetra1 as btSoftBody_appendTetra1    `( BtSoftBodyClass bc , BtSoftBody_MaterialClass p4 )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ node0
,  `Int'  -- ^ node1
,  `Int'  -- ^ node2
,  `Int'  -- ^ node3
, withBt* `p4'  -- ^ mat
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#660>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_m_bUpdateRtCst_set    `( BtSoftBodyClass bc )' =>     { withBt* `bc' ,  `Bool'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#660>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_m_bUpdateRtCst_get    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  } ->  `Bool'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#668>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_m_initialWorldTransform_set    `( BtSoftBodyClass bc )' =>     { withBt* `bc' , withTransform* `Transform'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#668>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_m_initialWorldTransform_get    `( BtSoftBodyClass bc )' =>     { withBt* `bc' , allocaTransform-  `Transform'  peekTransform* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#658>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_m_timeacc_set    `( BtSoftBodyClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#658>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_m_timeacc_get    `( BtSoftBodyClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#670>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_m_windVelocity_set    `( BtSoftBodyClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#670>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_m_windVelocity_get    `( BtSoftBodyClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#647>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_m_worldInfo_set    `( BtSoftBodyClass bc , BtSoftBodyWorldInfoClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
-- * btSoftBodyHelpers
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.h?r=2223#46>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.cpp?r=2223>
-}
{#fun btSoftBodyHelpers_new as btSoftBodyHelpers    {  } -> `BtSoftBodyHelpers' mkBtSoftBodyHelpers* #}
{#fun btSoftBodyHelpers_free    `( BtSoftBodyHelpersClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.h?r=2223#56>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.cpp?r=2223>
-}
{#fun btSoftBodyHelpers_DrawInfos as btSoftBodyHelpers_DrawInfos    `(  BtSoftBodyClass p0 , BtIDebugDrawClass p1 )' =>     {  withBt* `p0'  -- ^ psb
, withBt* `p1'  -- ^ idraw
,  `Bool'  -- ^ masses
,  `Bool'  -- ^ areas
,  `Bool'  -- ^ stress
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.cpp?r=2223>
-}
{#fun btSoftBodyHelpers_Draw as btSoftBodyHelpers_Draw    `(  BtSoftBodyClass p0 , BtIDebugDrawClass p1 )' =>     {  withBt* `p0'  -- ^ psb
, withBt* `p1'  -- ^ idraw
,  `Int'  -- ^ drawflags
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.h?r=2223#107>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.cpp?r=2223>
-}
{#fun btSoftBodyHelpers_CreateEllipsoid as btSoftBodyHelpers_CreateEllipsoid    `(  BtSoftBodyWorldInfoClass p0 )' =>     {  withBt* `p0'  -- ^ worldInfo
, withVector3* `Vector3'  peekVector3* -- ^ center
, withVector3* `Vector3'  peekVector3* -- ^ radius
,  `Int'  -- ^ res
 } ->  `BtSoftBody' mkBtSoftBody*  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.h?r=2223#107>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.cpp?r=2223>
-}
{#fun btSoftBodyHelpers_CreateEllipsoid as btSoftBodyHelpers_CreateEllipsoid'    `(  BtSoftBodyWorldInfoClass p0 )' =>     {  withBt* `p0'  -- ^ worldInfo
, allocaVector3-  `Vector3'  peekVector3* -- ^ center
, allocaVector3-  `Vector3'  peekVector3* -- ^ radius
,  `Int'  -- ^ res
 } ->  `BtSoftBody' mkBtSoftBody*  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.h?r=2223#139>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.cpp?r=2223>
-}
{#fun btSoftBodyHelpers_CreateFromTetGenData as btSoftBodyHelpers_CreateFromTetGenData    `(  BtSoftBodyWorldInfoClass p0 )' =>     {  withBt* `p0'  -- ^ worldInfo
,  `String'  -- ^ ele
,  `String'  -- ^ face
,  `String'  -- ^ node
,  `Bool'  -- ^ bfacelinks
,  `Bool'  -- ^ btetralinks
,  `Bool'  -- ^ bfacesfromtetras
 } ->  `BtSoftBody' mkBtSoftBody*  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.h?r=2223#74>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.cpp?r=2223>
-}
{#fun btSoftBodyHelpers_DrawFrame as btSoftBodyHelpers_DrawFrame    `(  BtSoftBodyClass p0 , BtIDebugDrawClass p1 )' =>     {  withBt* `p0'  -- ^ psb
, withBt* `p1'  -- ^ idraw
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.cpp?r=2223>
-}
{#fun btSoftBodyHelpers_CreateRope as btSoftBodyHelpers_CreateRope    `(  BtSoftBodyWorldInfoClass p0 )' =>     {  withBt* `p0'  -- ^ worldInfo
, withVector3* `Vector3'  peekVector3* -- ^ from
, withVector3* `Vector3'  peekVector3* -- ^ to
,  `Int'  -- ^ res
,  `Int'  -- ^ fixeds
 } ->  `BtSoftBody' mkBtSoftBody*  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.h?r=2223#80>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.cpp?r=2223>
-}
{#fun btSoftBodyHelpers_CreateRope as btSoftBodyHelpers_CreateRope'    `(  BtSoftBodyWorldInfoClass p0 )' =>     {  withBt* `p0'  -- ^ worldInfo
, allocaVector3-  `Vector3'  peekVector3* -- ^ from
, allocaVector3-  `Vector3'  peekVector3* -- ^ to
,  `Int'  -- ^ res
,  `Int'  -- ^ fixeds
 } ->  `BtSoftBody' mkBtSoftBody*  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.h?r=2223#102>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.cpp?r=2223>
-}
{#fun btSoftBodyHelpers_CalculateUV as btSoftBodyHelpers_CalculateUV    `( )' =>     {   `Int'  -- ^ resx
,  `Int'  -- ^ resy
,  `Int'  -- ^ ix
,  `Int'  -- ^ iy
,  `Int'  -- ^ id
 } ->  `Float'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.h?r=2223#66>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.cpp?r=2223>
-}
{#fun btSoftBodyHelpers_DrawFaceTree as btSoftBodyHelpers_DrawFaceTree    `(  BtSoftBodyClass p0 , BtIDebugDrawClass p1 )' =>     {  withBt* `p0'  -- ^ psb
, withBt* `p1'  -- ^ idraw
,  `Int'  -- ^ mindepth
,  `Int'  -- ^ maxdepth
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.h?r=2223#71>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.cpp?r=2223>
-}
{#fun btSoftBodyHelpers_DrawClusterTree as btSoftBodyHelpers_DrawClusterTree    `(  BtSoftBodyClass p0 , BtIDebugDrawClass p1 )' =>     {  withBt* `p0'  -- ^ psb
, withBt* `p1'  -- ^ idraw
,  `Int'  -- ^ mindepth
,  `Int'  -- ^ maxdepth
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.h?r=2223#61>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.cpp?r=2223>
-}
{#fun btSoftBodyHelpers_DrawNodeTree as btSoftBodyHelpers_DrawNodeTree    `(  BtSoftBodyClass p0 , BtIDebugDrawClass p1 )' =>     {  withBt* `p0'  -- ^ psb
, withBt* `p1'  -- ^ idraw
,  `Int'  -- ^ mindepth
,  `Int'  -- ^ maxdepth
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.h?r=2223#90>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.cpp?r=2223>
-}
{#fun btSoftBodyHelpers_CreatePatch as btSoftBodyHelpers_CreatePatch    `(  BtSoftBodyWorldInfoClass p0 )' =>     {  withBt* `p0'  -- ^ worldInfo
, withVector3* `Vector3'  peekVector3* -- ^ corner00
, withVector3* `Vector3'  peekVector3* -- ^ corner10
, withVector3* `Vector3'  peekVector3* -- ^ corner01
, withVector3* `Vector3'  peekVector3* -- ^ corner11
,  `Int'  -- ^ resx
,  `Int'  -- ^ resy
,  `Int'  -- ^ fixeds
,  `Bool'  -- ^ gendiags
 } ->  `BtSoftBody' mkBtSoftBody*  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.h?r=2223#90>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.cpp?r=2223>
-}
{#fun btSoftBodyHelpers_CreatePatch as btSoftBodyHelpers_CreatePatch'    `(  BtSoftBodyWorldInfoClass p0 )' =>     {  withBt* `p0'  -- ^ worldInfo
, allocaVector3-  `Vector3'  peekVector3* -- ^ corner00
, allocaVector3-  `Vector3'  peekVector3* -- ^ corner10
, allocaVector3-  `Vector3'  peekVector3* -- ^ corner01
, allocaVector3-  `Vector3'  peekVector3* -- ^ corner11
,  `Int'  -- ^ resx
,  `Int'  -- ^ resy
,  `Int'  -- ^ fixeds
,  `Bool'  -- ^ gendiags
 } ->  `BtSoftBody' mkBtSoftBody*  #}
-- * btSoftBodyRigidBodyCollisionConfiguration
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyRigidBodyCollisionConfiguration.h?r=2223#38>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyRigidBodyCollisionConfiguration.cpp?r=2223>
-}
{#fun btSoftBodyRigidBodyCollisionConfiguration_new as btSoftBodyRigidBodyCollisionConfiguration    `( BtDefaultCollisionConstructionInfoClass p0 )' =>     {  withBt* `p0'  } -> `BtSoftBodyRigidBodyCollisionConfiguration' mkBtSoftBodyRigidBodyCollisionConfiguration* #}
{#fun btSoftBodyRigidBodyCollisionConfiguration_free    `( BtSoftBodyRigidBodyCollisionConfigurationClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyRigidBodyCollisionConfiguration.h?r=2223#43>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyRigidBodyCollisionConfiguration.cpp?r=2223>
-}
{#fun btSoftBodyRigidBodyCollisionConfiguration_getCollisionAlgorithmCreateFunc as btSoftBodyRigidBodyCollisionConfiguration_getCollisionAlgorithmCreateFunc    `( BtSoftBodyRigidBodyCollisionConfigurationClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ proxyType0
,  `Int'  -- ^ proxyType1
 } ->  `BtCollisionAlgorithmCreateFunc' mkBtCollisionAlgorithmCreateFunc*  #}
-- * btSoftBodyWorldInfo
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#54>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBodyWorldInfo_new as btSoftBodyWorldInfo    {  } -> `BtSoftBodyWorldInfo' mkBtSoftBodyWorldInfo* #}
{#fun btSoftBodyWorldInfo_free    `( BtSoftBodyWorldInfoClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#45>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBodyWorldInfo_air_density_set    `( BtSoftBodyWorldInfoClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#45>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBodyWorldInfo_air_density_get    `( BtSoftBodyWorldInfoClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#49>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBodyWorldInfo_m_broadphase_set    `( BtSoftBodyWorldInfoClass bc , BtBroadphaseInterfaceClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#50>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBodyWorldInfo_m_dispatcher_set    `( BtSoftBodyWorldInfoClass bc , BtDispatcherClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBodyWorldInfo_m_gravity_set    `( BtSoftBodyWorldInfoClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#51>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBodyWorldInfo_m_gravity_get    `( BtSoftBodyWorldInfoClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#46>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBodyWorldInfo_water_density_set    `( BtSoftBodyWorldInfoClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#46>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBodyWorldInfo_water_density_get    `( BtSoftBodyWorldInfoClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBodyWorldInfo_water_normal_set    `( BtSoftBodyWorldInfoClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#48>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBodyWorldInfo_water_normal_get    `( BtSoftBodyWorldInfoClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#47>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBodyWorldInfo_water_offset_set    `( BtSoftBodyWorldInfoClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#47>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBodyWorldInfo_water_offset_get    `( BtSoftBodyWorldInfoClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
-- * btSoftRigidDynamicsWorld
{#fun btSoftRigidDynamicsWorld_free    `( BtSoftRigidDynamicsWorldClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.h?r=2223#67>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.cpp?r=2223>
-}
{#fun btSoftRigidDynamicsWorld_getWorldInfo0 as btSoftRigidDynamicsWorld_getWorldInfo    `( BtSoftRigidDynamicsWorldClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtSoftBodyWorldInfo' mkBtSoftBodyWorldInfo*  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.h?r=2223#67>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.cpp?r=2223>
-}
{#fun btSoftRigidDynamicsWorld_getWorldInfo0 as btSoftRigidDynamicsWorld_getWorldInfo0    `( BtSoftRigidDynamicsWorldClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtSoftBodyWorldInfo' mkBtSoftBodyWorldInfo*  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.h?r=2223#71>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.cpp?r=2223>
-}
{#fun btSoftRigidDynamicsWorld_getWorldInfo1 as btSoftRigidDynamicsWorld_getWorldInfo1    `( BtSoftRigidDynamicsWorldClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `BtSoftBodyWorldInfo' mkBtSoftBodyWorldInfo*  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.h?r=2223#65>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.cpp?r=2223>
-}
{#fun btSoftRigidDynamicsWorld_setDrawFlags as btSoftRigidDynamicsWorld_setDrawFlags    `( BtSoftRigidDynamicsWorldClass bc )' =>     { withBt* `bc'  -- ^ 
,  `Int'  -- ^ f
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.h?r=2223#103>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.cpp?r=2223>
-}
{#fun btSoftRigidDynamicsWorld_serialize as btSoftRigidDynamicsWorld_serialize    `( BtSoftRigidDynamicsWorldClass bc , BtSerializerClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ serializer
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.cpp?r=2223>
-}
{#fun btSoftRigidDynamicsWorld_rayTest as btSoftRigidDynamicsWorld_rayTest    `( BtSoftRigidDynamicsWorldClass bc , BtCollisionWorld_RayResultCallbackClass p2 )' =>     { withBt* `bc'  -- ^ 
, withVector3* `Vector3'  peekVector3* -- ^ rayFromWorld
, withVector3* `Vector3'  peekVector3* -- ^ rayToWorld
, withBt* `p2'  -- ^ resultCallback
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.cpp?r=2223>
-}
{#fun btSoftRigidDynamicsWorld_rayTest as btSoftRigidDynamicsWorld_rayTest'    `( BtSoftRigidDynamicsWorldClass bc , BtCollisionWorld_RayResultCallbackClass p2 )' =>     { withBt* `bc'  -- ^ 
, allocaVector3-  `Vector3'  peekVector3* -- ^ rayFromWorld
, allocaVector3-  `Vector3'  peekVector3* -- ^ rayToWorld
, withBt* `p2'  -- ^ resultCallback
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.h?r=2223#57>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.cpp?r=2223>
-}
{#fun btSoftRigidDynamicsWorld_addSoftBody as btSoftRigidDynamicsWorld_addSoftBody    `( BtSoftRigidDynamicsWorldClass bc , BtSoftBodyClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ body
,  `Int'  -- ^ collisionFilterGroup
,  `Int'  -- ^ collisionFilterMask
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.h?r=2223#62>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.cpp?r=2223>
-}
{#fun btSoftRigidDynamicsWorld_removeCollisionObject as btSoftRigidDynamicsWorld_removeCollisionObject    `( BtSoftRigidDynamicsWorldClass bc , BtCollisionObjectClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ collisionObject
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.h?r=2223#101>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.cpp?r=2223>
-}
{#fun btSoftRigidDynamicsWorld_rayTestSingle as btSoftRigidDynamicsWorld_rayTestSingle    `(  BtCollisionObjectClass p2 , BtCollisionShapeClass p3 , BtCollisionWorld_RayResultCallbackClass p5 )' =>     {  withTransform* `Transform'  peekTransform* -- ^ rayFromTrans
, withTransform* `Transform'  peekTransform* -- ^ rayToTrans
, withBt* `p2'  -- ^ collisionObject
, withBt* `p3'  -- ^ collisionShape
, withTransform* `Transform'  peekTransform* -- ^ colObjWorldTransform
, withBt* `p5'  -- ^ resultCallback
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.h?r=2223#101>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.cpp?r=2223>
-}
{#fun btSoftRigidDynamicsWorld_rayTestSingle as btSoftRigidDynamicsWorld_rayTestSingle'    `(  BtCollisionObjectClass p2 , BtCollisionShapeClass p3 , BtCollisionWorld_RayResultCallbackClass p5 )' =>     {  allocaTransform-  `Transform'  peekTransform* -- ^ rayFromTrans
, allocaTransform-  `Transform'  peekTransform* -- ^ rayToTrans
, withBt* `p2'  -- ^ collisionObject
, withBt* `p3'  -- ^ collisionShape
, allocaTransform-  `Transform'  peekTransform* -- ^ colObjWorldTransform
, withBt* `p5'  -- ^ resultCallback
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.h?r=2223#59>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.cpp?r=2223>
-}
{#fun btSoftRigidDynamicsWorld_removeSoftBody as btSoftRigidDynamicsWorld_removeSoftBody    `( BtSoftRigidDynamicsWorldClass bc , BtSoftBodyClass p0 )' =>     { withBt* `bc'  -- ^ 
, withBt* `p0'  -- ^ body
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.h?r=2223#55>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.cpp?r=2223>
-}
{#fun btSoftRigidDynamicsWorld_debugDrawWorld as btSoftRigidDynamicsWorld_debugDrawWorld    `( BtSoftRigidDynamicsWorldClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `()'  #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.h?r=2223#64>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftRigidDynamicsWorld.cpp?r=2223>
-}
{#fun btSoftRigidDynamicsWorld_getDrawFlags as btSoftRigidDynamicsWorld_getDrawFlags    `( BtSoftRigidDynamicsWorldClass bc )' =>     { withBt* `bc'  -- ^ 
 } ->  `Int'  #}
-- * eAeroModel
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#82>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_eAeroModel_new as btSoftBody_eAeroModel    {  } -> `BtSoftBody_eAeroModel' mkBtSoftBody_eAeroModel* #}
{#fun btSoftBody_eAeroModel_free    `( BtSoftBody_eAeroModelClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * eFeature
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#115>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_eFeature_new as btSoftBody_eFeature    {  } -> `BtSoftBody_eFeature' mkBtSoftBody_eFeature* #}
{#fun btSoftBody_eFeature_free    `( BtSoftBody_eFeatureClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * ePSolver
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#98>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_ePSolver_new as btSoftBody_ePSolver    {  } -> `BtSoftBody_ePSolver' mkBtSoftBody_ePSolver* #}
{#fun btSoftBody_ePSolver_free    `( BtSoftBody_ePSolverClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * eSolverPresets
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#107>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_eSolverPresets_new as btSoftBody_eSolverPresets    {  } -> `BtSoftBody_eSolverPresets' mkBtSoftBody_eSolverPresets* #}
{#fun btSoftBody_eSolverPresets_free    `( BtSoftBody_eSolverPresetsClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * eType
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#480>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_Joint_eType_new as btSoftBody_Joint_eType    {  } -> `BtSoftBody_Joint_eType' mkBtSoftBody_Joint_eType* #}
{#fun btSoftBody_Joint_eType_free    `( BtSoftBody_Joint_eTypeClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * eVSolver
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#92>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_eVSolver_new as btSoftBody_eVSolver    {  } -> `BtSoftBody_eVSolver' mkBtSoftBody_eVSolver* #}
{#fun btSoftBody_eVSolver_free    `( BtSoftBody_eVSolverClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * fCollision
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#131>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_fCollision_new as btSoftBody_fCollision    {  } -> `BtSoftBody_fCollision' mkBtSoftBody_fCollision* #}
{#fun btSoftBody_fCollision_free    `( BtSoftBody_fCollisionClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * fDrawFlags
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.h?r=2223#26>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBodyHelpers.cpp?r=2223>
-}
{#fun fDrawFlags_new as fDrawFlags    {  } -> `FDrawFlags' mkFDrawFlags* #}
{#fun fDrawFlags_free    `( FDrawFlagsClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * fMaterial
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#146>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_fMaterial_new as btSoftBody_fMaterial    {  } -> `BtSoftBody_fMaterial' mkBtSoftBody_fMaterial* #}
{#fun btSoftBody_fMaterial_free    `( BtSoftBody_fMaterialClass bc )' =>     { withBt* `bc'  } -> `()' #}
-- * sCti
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#181>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_sCti_new as btSoftBody_sCti    {  } -> `BtSoftBody_sCti' mkBtSoftBody_sCti* #}
{#fun btSoftBody_sCti_free    `( BtSoftBody_sCtiClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#182>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_sCti_m_colObj_set    `( BtSoftBody_sCtiClass bc , BtCollisionObjectClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#183>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_sCti_m_normal_set    `( BtSoftBody_sCtiClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#183>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_sCti_m_normal_get    `( BtSoftBody_sCtiClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#184>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_sCti_m_offset_set    `( BtSoftBody_sCtiClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#184>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_sCti_m_offset_get    `( BtSoftBody_sCtiClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
-- * sMedium
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#189>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_sMedium_new as btSoftBody_sMedium    {  } -> `BtSoftBody_sMedium' mkBtSoftBody_sMedium* #}
{#fun btSoftBody_sMedium_free    `( BtSoftBody_sMediumClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#192>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_sMedium_m_density_set    `( BtSoftBody_sMediumClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#192>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_sMedium_m_density_get    `( BtSoftBody_sMediumClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#191>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_sMedium_m_pressure_set    `( BtSoftBody_sMediumClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#191>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_sMedium_m_pressure_get    `( BtSoftBody_sMediumClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#190>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_sMedium_m_velocity_set    `( BtSoftBody_sMediumClass bc )' =>     { withBt* `bc' , withVector3* `Vector3'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#190>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_sMedium_m_velocity_get    `( BtSoftBody_sMediumClass bc )' =>     { withBt* `bc' , allocaVector3-  `Vector3'  peekVector3* } -> `()' #}
-- * sRayCast
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#159>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_sRayCast_new as btSoftBody_sRayCast    {  } -> `BtSoftBody_sRayCast' mkBtSoftBody_sRayCast* #}
{#fun btSoftBody_sRayCast_free    `( BtSoftBody_sRayCastClass bc )' =>     { withBt* `bc'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#160>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_sRayCast_body_set    `( BtSoftBody_sRayCastClass bc , BtSoftBodyClass a )' =>     { withBt* `bc' , withBt* `a'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#163>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_sRayCast_fraction_set    `( BtSoftBody_sRayCastClass bc )' =>     { withBt* `bc' ,  `Float'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#163>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_sRayCast_fraction_get    `( BtSoftBody_sRayCastClass bc )' =>     { withBt* `bc'  } ->  `Float'   #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#162>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_sRayCast_index_set    `( BtSoftBody_sRayCastClass bc )' =>     { withBt* `bc' ,  `Int'  } -> `()' #}
{- | <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.h?r=2223#162>
     <http://code.google.com/p/bullet/source/browse/trunk/src/BulletSoftBody/btSoftBody.cpp?r=2223>
-}
{#fun btSoftBody_sRayCast_index_get    `( BtSoftBody_sRayCastClass bc )' =>     { withBt* `bc'  } ->  `Int'   #}
